import { Component, Input } from '@angular/core';
import { MenuItem } from 'primeng/api';
import { Router } from '@angular/router';
import { CustomMenuItemInterface } from '@core-project/interfaces/custom-menu-item.interface';

@Component({
  selector: 'app-sidemenu-item',
  templateUrl: './sidemenu-item.component.html',
  styleUrls: ['./sidemenu-item.component.scss'],
})
export class SidemenuItemComponent {
  @Input() item: CustomMenuItemInterface;

  constructor(private router: Router) {}

  itemClick(item: MenuItem) {
    if (!!item.items) {
      item.expanded = !item.expanded;
    }
    if (item.routerLink) {
      this.router.navigateByUrl(item.routerLink);
    }
  }
}
