import {Component, OnInit} from '@angular/core';

@Component({
  selector: 'app-dashboard-demo',
  templateUrl: './dashboard-demo.component.html',
  styleUrls: ['./dashboard-demo.component.scss'],
})
export class DashboardDemoComponent implements OnInit {
  ideas_data: any;
  hbar_options: any;

  projects_data: any;

  npv_data: any;
  bar_options: any;
  ebitda_data: any;
  ebitda_options: any;

  load1_data: any;
  load2_data: any;
  load_options: any;

  eff_data: any;
  eff_options: any;

  budget_data: any;
  budget_options: any;

  bubble_data: any;
  selected_bubble_data: any;
  bubble_choices = [
    {name: 'EBITDA, млн руб', id: 'data1'},
    {name: 'NPV, млн руб', id: 'data2'},
    {name: 'Эффект, тонны', id: 'data3'},
  ];
  bubble_choice = 'data1';
  bubble_options: any;

  pr_data: any;
  idea_data: any;
  eb_data: any;
  cpp_options: any;

  res_data: any;


  ngOnInit() {
    this.ideas_data = {
      labels: ['В проработке'],
      datasets: [
        {
          label: 'НевАзот',
          data: [9],
        },
        {
          label: 'НАК',
          data: [10],
        },
        {
          label: 'БМУ',
          data: [5],
        },
        {
          label: 'Фосфорит',
          data: [3],
        },
        {
          label: 'ЕХС3',
          data: [1],
        },
      ],
    };
    this.hbar_options = {
      indexAxis: 'y',
      scales: {
        x: {
          stacked: true,
        },
        y: {
          stacked: true,
        },
      },
      plugins: {
        legend: {
          position: 'bottom',
        },
      },
    };

    this.projects_data = {
      labels: ['Защищены'],
      datasets: [
        {
          label: 'НевАзот',
          data: [8],
        },
        {
          label: 'НАК',
          data: [0],
        },
        {
          label: 'БМУ',
          data: [3],
        },
        {
          label: 'Фосфорит',
          data: [1],
        },
        {
          label: 'ЕХС3',
          data: [0],
        },
      ],
    };

    this.npv_data = {
      labels: ['НевАзот', 'НАК', 'БМУ', 'Фосфорит', 'ЕХС3', 'Всего'],
      datasets: [
        {
          label: 'Защищена',
          data: [
            [0, 1500],
            [3300, 3300],
            [3500, 3700],
            [4800, 4900],
            [5500, 5500],
            [0, 1800],
          ],
          backgroundColor: '#33f240',
        },
        {
          label: 'В проработке',
          data: [
            [0, 1800],
            [0, 200],
            [0, 1100],
            [0, 600],
            [0, 2000],
            [0, 5700],
          ],
          backgroundColor: '#1194f7',
        },
      ],
    };
    this.bar_options = {
      scales: {
        x: {
          stacked: true,
        },
        y: {
          stacked: true,
        },
      },
      plugins: {
        datalabels: {
          formatter: function (value, context) {
            return (value[1] - value[0]).toString();
          },
        },
        legend: {
          position: 'bottom',
        },
      },
    };

    this.ebitda_data = {
      labels: [
        ['Эффект факт на', 'отчетный месяц'],
        ['Плановый эффект', 'на отчетный месяц'],
        ['Плановый годовой', 'эффект'],
      ],
      datasets: [
        {
          label: 'RUNEV_0056',
          data: [10.6, 9.8, 23.4],
        },
        {
          label: 'RUNEV_0058',
          data: [39.4, 72.2, 83.8],
        },
      ],
    };
    this.ebitda_options = {
      scales: {
        x: {
          stacked: true,
        },
        y: {
          stacked: true,
        },
      },
      plugins: {
        legend: {
          position: 'bottom',
        },
      },
    };

    this.load1_data = {
      labels: ['Акберов РР', 'Брагина ЮА', 'Долгих АВ', 'Пискарев ДМ'],
      datasets: [{data: [5, 7, 6, 3]}],
    };

    this.load2_data = {
      labels: ['Дятлов РИ ', 'Золотарева МС', 'Лёвина ЕА', 'Петицкая ЕВ'],
      datasets: [{data: [6, 3, 1, 6]}],
    };

    this.load_options = {
      plugins: {
        legend: {
          position: 'right',
        },
      },
    };

    this.eff_data = {
      labels: ['Акберов РР', 'Брагина ЮА', 'Долгих АВ', 'Пискарев ДМ', 'Дятлов РИ '],
      datasets: [{data: [4533, 4031, 1884, 1202, 175]}],
    };

    this.eff_options = {
      plugins: {
        legend: {
          display: false,
        },
      },
    };

    this.budget_data = {
      labels: ['Проект 1', 'Проект 2', 'Проект 3', 'Проект 4', 'Проект 5', 'Проект 6', 'Проект 7', 'Проект 8', 'Проект 9'],
      datasets: [
        {
          label: 'NPV',
          data: [1987, 2876, 1765, 954, 1543, 732, 521, 2210, 1100],
          stack: '0',
        },
        {
          label: 'CAPEX',
          data: [987, 876, 765, 654, 543, 432, 321, 210, 100],
          stack: '0',
        },
      ],
    };

    this.budget_options = {
      plugins: {
        legend: {
          position: 'bottom',
        },
      },
      scales: {
        x: {
          stacked: false,
        },
        y: {
          stacked: true,
        },
      },
      indexAxis: 'y',
    };

    this.pr_data = {
      labels: ['PoC', 'MVP', 'Тираж'],
      datasets: [{data: [26, 3, 8]}],
    };

    this.idea_data = {
      labels: ['Не начата', 'В проработке', 'Приостановлена'],
      datasets: [{data: [5, 19, 7]}],
    };

    this.cpp_options = {
      plugins: {
        legend: {
          position: 'bottom',
        },
      },
    };

    this.res_data = {
      labels: ['Дятлов РИ ', 'Золотарева МС', 'Лёвина ЕА', 'Петицкая ЕВ', 'Акберов РР', 'Брагина ЮА'],
      datasets: [
        {
          label: 'Идея',
          data: [9, 8, 7, 6, 5, 4],
        },
        {
          label: 'PoC',
          data: [8, 7, 6, 5, 4, 3],
        },
        {
          label: 'MVP',
          data: [7, 6, 5, 4, 3, 2],
        },
        {
          label: 'Тираж',
          data: [6, 5, 4, 3, 2, 1],
        },
      ],
    };

    this.bubble_data = {
      datasets: [
        {
          label: 'Проект 1',
          data: [{x: 20, y: 30, r: 10}],
        },
        {
          label: 'Проект 2',
          data: [{x: 5, y: 5, r: 25}],
        },
        {
          label: 'Проект 3',
          data: [{x: 90, y: 30, r: 15}],
        },
        {
          label: 'Проект 4',
          data: [{x: 10, y: 80, r: 5}],
        },
        {
          label: 'Проект 5',
          data: [{x: 50, y: 50, r: 30}],
        },
        {
          label: 'Проект 6',
          data: [{x: 10, y: 70, r: 10}],
        },
        {
          label: 'Проект 7',
          data: [{x: 70, y: 10, r: 5}],
        },
      ],
    };

    this.bubble_options = {
      plugins: {
        legend: {
          position: 'bottom',
        },
      },
    };
  }

  bubbleChange() {
    this.selected_bubble_data = this.bubble_data[this.bubble_choice];
  }
}
