import { Component, OnInit } from '@angular/core';
import { DashboardsService } from 'data-access/sdk/api2';
import { firstValueFrom, Observable } from 'rxjs';
import { Dashboard } from 'data-access/sdk/api2';
import { ActivatedRoute } from '@angular/router';
import { UserWidget } from 'data-access/sdk/api2';

@Component({
  selector: 'app-dashboard',
  templateUrl: './dashboard-info.component.html',
  styleUrls: ['./dashboard-info.component.scss'],
})
export class DashboardInfoComponent implements OnInit {
  dashboard: Observable<Dashboard>;
  constructor(private dashboardsService: DashboardsService, private activatedRoute: ActivatedRoute) {}

  ngOnInit() {
    this.dashboard = this.dashboardsService.dashboardsDashboardsRead({
      id: this.activatedRoute.snapshot.params.dashboardId,
      include: 'user_widgets',
    });
  }

  public editWidget(userWidget: UserWidget, newUserWidget: UserWidget) {
    firstValueFrom(this.dashboardsService.dashboardsUserWidgetsPartialUpdate({ id: userWidget.id, data: newUserWidget })).then((uw) =>
      Object.assign(userWidget, uw)
    );
    console.log('WIDGET EDIT', userWidget.id, newUserWidget);
  }
}
