import {NgModule} from '@angular/core';
import {RouterModule, Routes} from '@angular/router';
import {AuthGuard} from '../../auth/guards';
import {DashboardListComponent} from '@core-project/containers/dashboard/dashboard-list/dashboard-list.component';
import {DashboardInfoComponent} from '@core-project/containers/dashboard/dashboard-info/dashboard-info.component';
import {DashboardDemoComponent} from '@core-project/containers/dashboard/dashboard-demo/dashboard-demo.component';
import {DATA_APP_TITLE_KEY} from 'data-access/store';
import {StatusReportComponent} from '@core-project/containers/dashboard/widgets/status-report/status-report.component';
import {
  ProjectGroupBudgetComponent
} from '@core-project/containers/dashboard/widgets/project-group-budget/project-group-budget.component';

const dashboardRoutes: Routes = [
  // {path: 'dashboard', component: DashboardComponent, canActivate: [AuthGuard]},
  {
    path: 'dashboards',
    component: DashboardListComponent,
    data: {[DATA_APP_TITLE_KEY]: 'DASHBOARD.HEADER'},
    canActivate: [AuthGuard],
    loadChildren: () => import('features/custom-dashboards').then(m => m.CustomDashboardsModule),
  },
  {path: 'dashboard/:dashboardId', component: DashboardInfoComponent, canActivate: [AuthGuard]},
  // {path: 'bt-dashboard/:btdashboard', component: DashboardInfoComponent, canActivate: [AuthGuard]},
  {
    path: 'bt-dashboard/status',
    component: StatusReportComponent,
    canActivate: [AuthGuard],
    data: {[DATA_APP_TITLE_KEY]: 'DASHBOARD.BUILTIN.STATUS_REPORT'},
  },
  {
    path: 'bt-dashboard/budget',
    component: ProjectGroupBudgetComponent,
    canActivate: [AuthGuard],
    data: {[DATA_APP_TITLE_KEY]: 'DASHBOARD.BUILTIN.BUDGET'},
  },
  {
    path: 'dashboard-demo',
    component: DashboardDemoComponent,
    canActivate: [AuthGuard],
    data: {[DATA_APP_TITLE_KEY]: 'Демо - Дашборды ПТЛ'},
  },
];

@NgModule({
  exports: [RouterModule],
  imports: [RouterModule.forChild(dashboardRoutes)],
})
export class DashboardRoutingModule {
}
