import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { DashboardComponent } from './dashboard.component';
import { DashboardRoutingModule } from './dashboard-routing.module';
import { SharedComponentsModule } from '@core-project/modules/shared-components/shared-components.module';
import { SharedModule } from 'primeng/api';
import { DirectivesModule } from '@core-project/directives/directives.module';
import { TranslateModule } from '@ngx-translate/core';
import { DropdownModule } from 'primeng/dropdown';
import { ButtonModule } from 'primeng/button';
import { RippleModule } from 'primeng/ripple';
import { FormsModule } from '@angular/forms';
import { DashboardFormModule } from '@core-project/modules/forms/dashboard-form/dashboard-form.module';
import { ConfirmDialogModule } from 'primeng/confirmdialog';
import { ProjectGroupStatusComponent } from './widgets/project-group-status/project-group-status.component';
import { TableModule } from 'primeng/table';
import { OverlayPanelModule } from 'primeng/overlaypanel';
import { TooltipModule } from 'primeng/tooltip';
import { ProjectGroupRoadmapComponent } from './widgets/project-group-roadmap/project-group-roadmap.component';
import { ProjectGroupBudgetComponent } from './widgets/project-group-budget/project-group-budget.component';
import { ChartModule } from 'primeng/chart';
import { StatusReportComponent } from './widgets/status-report/status-report.component';
import { PipesModule } from '@core-project/pipes/pipes.module';
import { DashboardListComponent } from '@core-project/containers/dashboard/dashboard-list/dashboard-list.component';
import { DashboardInfoComponent } from '@core-project/containers/dashboard/dashboard-info/dashboard-info.component';
import { CardModule } from 'primeng/card';
import { BaseWidgetComponent } from './widgets/base-widget/base-widget.component';
import { CdkDragHandle } from '@angular/cdk/drag-drop';
import { ProgressSpinnerModule } from 'primeng/progressspinner';
import { DashboardDemoComponent } from './dashboard-demo/dashboard-demo.component';
import { UiCustomCalendarModule } from 'ui/custom-calendar';
import { StringInfoOverlaysModule } from 'features/string-info-overlays';
import { WidgetContainerDirective } from 'utils/shared-directives';
import {
  UiMilestoneTimelineContainerComponent,
  UiMilestoneTimelineDottedLineComponent,
  UiMilestonesMonthHeaderComponent,
} from 'ui/milestones-timeline';
import { CIconComponent } from 'ui/custom-icons';

@NgModule({
  declarations: [
    DashboardComponent,
    ProjectGroupStatusComponent,
    ProjectGroupRoadmapComponent,
    ProjectGroupBudgetComponent,
    StatusReportComponent,
    DashboardListComponent,
    DashboardInfoComponent,
    BaseWidgetComponent,
    DashboardDemoComponent,
  ],
  imports: [
    CommonModule,
    DashboardRoutingModule,
    SharedComponentsModule,
    SharedModule,
    DirectivesModule,
    TranslateModule,
    DropdownModule,
    ButtonModule,
    RippleModule,
    FormsModule,
    DashboardFormModule,
    ConfirmDialogModule,
    TableModule,
    OverlayPanelModule,
    TooltipModule,
    ChartModule,
    PipesModule,
    CardModule,
    CdkDragHandle,
    ProgressSpinnerModule,
    UiCustomCalendarModule,
    StringInfoOverlaysModule,
    WidgetContainerDirective,
    UiMilestoneTimelineContainerComponent,
    UiMilestonesMonthHeaderComponent,
    UiMilestoneTimelineDottedLineComponent,
    CIconComponent,
  ],
})
export class DashboardModule {}
