import { Component, Input, OnInit } from '@angular/core';
import { DepartmentPlanFactTasksData, DepartmentPlanFactTasksOptions } from '../../interfaces/department-plan-fact-tasks';

@Component({
  selector: 'app-department-plan-fact-tasks',
  templateUrl: './department-plan-fact-tasks.component.html',
  styleUrls: ['./department-plan-fact-tasks.component.scss'],
})
export class DepartmentPlanFactTasksComponent implements OnInit {
  @Input() data: DepartmentPlanFactTasksData;
  @Input() options: DepartmentPlanFactTasksOptions;

  lineChartData: any;
  lineChartOptions: any;

  constructor() {}

  ngOnInit() {
    this.lineChartData = {
      labels: this.data.labels,
      datasets: [
        {
          label: 'План',
          backgroundColor: 'rgba(0, 0, 255, 0.2)',
          borderColor: 'rgba(0, 0, 255, 0.6)',
          data: this.data.plan,
          fill: false,
        },
        {
          label: 'Факт',
          backgroundColor: 'rgba(255, 255, 0, 0.2)',
          // backgroundColor: draw('dash', 'rgba(255, 255, 0, 0.2)'),
          borderColor: 'rgba(0, 255, 0, 0.6)',
          data: this.data.fact,
          fill: '-1',
        },
      ],
    };

    this.lineChartOptions = {
      title: {
        display: this.options.showLabel,
        text: this.options.label ? this.options.label : 'Кривая нарастания выполненных задач',
        fontSize: this.options.fontSize ? this.options.fontSize : 16,
      },
      legend: {
        position: this.options.legendPosition ? this.options.legendPosition : 'bottom',
      },
    };
  }
}
