import {NgModule} from '@angular/core';
import {RouterModule, Routes} from '@angular/router';
import {AuthGuard} from '@core-project/auth/guards';
import {DepartmentTasksComponent} from '@core-project/containers/department/tasks/department-tasks.component';
import {DepartmentComponent} from './department.component';
import {DepartmentStatisticsComponent} from './statistics/department-statistics.component';
import {DepartmentPlanComponent} from './plan/department-plan.component';
import {DepartmentStructureComponent} from './structure/department-structure.component';
import {DepartmentHrComponent} from './hr/department-hr.component';

const departmentDetailsRoutes: Routes = [
  {path: 'statistics', component: DepartmentStatisticsComponent},
  {path: 'plan', component: DepartmentPlanComponent},
  {path: 'tasks', component: DepartmentTasksComponent},
  {path: 'structure', component: DepartmentStructureComponent},
  {path: 'hr', component: DepartmentHrComponent},
];

const departmentRoutes: Routes = [
  {
    path: 'department/:departmentId',
    component: DepartmentComponent,
    canActivate: [AuthGuard],
    children: departmentDetailsRoutes,
  },
];

@NgModule({
  declarations: [],
  exports: [RouterModule],
  imports: [RouterModule.forChild(departmentRoutes)],
})
export class DepartmentRoutingModule {
}
