import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { TranslateModule } from '@ngx-translate/core';
import { FormsModule } from '@angular/forms';

// primeng
import { CardModule } from 'primeng/card';
import { PanelModule } from 'primeng/panel';
import { FieldsetModule } from 'primeng/fieldset';
import { ChartModule } from 'primeng/chart';
import { OrganizationChartModule } from 'primeng/organizationchart';
import { ConfirmDialogModule } from 'primeng/confirmdialog';
import { TabMenuModule } from 'primeng/tabmenu';
import { RippleModule } from 'primeng/ripple';
import { SelectButtonModule } from 'primeng/selectbutton';

import { UiCustomCalendarModule } from 'ui/custom-calendar';
import { HasPermissionDirective } from 'utils/shared-directives';

import { SharedComponentsModule } from '@core-project/modules/shared-components/shared-components.module';
import { DepartmentStatisticsComponent } from './statistics/department-statistics.component';
import { DepartmentPlanComponent } from './plan/department-plan.component';
import { DepartmentStructureComponent } from './structure/department-structure.component';
import { DepartmentHrComponent } from './hr/department-hr.component';
import { DepartmentComponent } from './department.component';
import { DepartmentRoutingModule } from './department-routing.module';
import { NewsfeedModule } from '../newsfeed/newsfeed.module';
import { DepartmentTotalTasksComponent } from './components/total-tasks/department-total-tasks.component';
import { DepartmentPlanFactTasksComponent } from './components/plan-fact-tasks/department-plan-fact-tasks.component';
import { DepartmentTasksComponent } from './tasks/department-tasks.component';
import { KanbanBoardComponent } from 'ui/kanban-board';

const primengModules = [
  CardModule,
  PanelModule,
  FieldsetModule,
  ChartModule,
  OrganizationChartModule,
  ConfirmDialogModule,
  TabMenuModule,
  RippleModule,
  SelectButtonModule,
];

@NgModule({
  declarations: [
    DepartmentStatisticsComponent,
    DepartmentPlanComponent,
    DepartmentStructureComponent,
    DepartmentHrComponent,
    DepartmentComponent,
    DepartmentTotalTasksComponent,
    DepartmentPlanFactTasksComponent,
    DepartmentTasksComponent,
  ],
  imports: [
    ...primengModules,
    CommonModule,
    DepartmentRoutingModule,
    NewsfeedModule,
    SharedComponentsModule,
    TranslateModule,
    FormsModule,
    HasPermissionDirective,
    UiCustomCalendarModule,
    KanbanBoardComponent,
  ],
})
export class DepartmentModule {}
