import { Component, OnInit } from '@angular/core';
import { DepartmentPlanFactTasksData, DepartmentPlanFactTasksOptions } from '../interfaces/department-plan-fact-tasks';
import { DepartmentTotalTasksData, DepartmentTotalTasksOptions } from '../interfaces/department-total-tasks';

@Component({
  selector: 'app-statistics',
  templateUrl: './department-statistics.component.html',
  styleUrls: ['./department-statistics.component.scss'],
})
export class DepartmentStatisticsComponent implements OnInit {
  barChartData: DepartmentTotalTasksData;
  barChartOptions: DepartmentTotalTasksOptions;
  lineChartData: DepartmentPlanFactTasksData;
  lineChartOptions: DepartmentPlanFactTasksOptions;

  constructor() {}

  ngOnInit() {
    this.barChartData = {
      labels: [
        ['Неделя 21', '20.05 - 26.05'],
        ['Неделя 22', '27.05 - 02.06'],
        ['Неделя 23', '03.06 - 09.06'],
        ['Неделя 24', '10.06 - 16.06'],
        ['Неделя 25', '17.06 - 23.06'],
        ['Неделя 26', '24.06 - 30.06'],
      ],
      closed: [30, 45, 65, 70, 93, 124],
      closedRecently: [15, 20, 5, 13, 31, 11],
      onValidation: [5, 10, 3, 8, 12, 4],
      current: [5, 10, 3, 8, 12, 4],
      delayed: [5, 10, 3, 8, 12, 4],
      failed: [5, 10, 3, 8, 12, 4],
    };

    this.barChartOptions = {
      showLabel: true,
    };

    this.lineChartData = {
      labels: [
        ['Неделя 21', '20.05 - 26.05'],
        ['Неделя 22', '27.05 - 02.06'],
        ['Неделя 23', '03.06 - 09.06'],
        ['Неделя 24', '10.06 - 16.06'],
        ['Неделя 25', '17.06 - 23.06'],
        ['Неделя 26', '24.06 - 30.06'],
      ],
      plan: [45, 60, 60, 65, 100, 130],
      fact: [30, 45, 65, 70, 93, 124],
    };

    this.lineChartOptions = {
      showLabel: true,
    };
  }
}
