import { Component, OnInit } from '@angular/core';
import { TreeNode } from 'primeng/api';
import { AuthenticationService } from '@core-project/services/authentication.service';
import { User } from 'data-access/sdk/api2';

@Component({
  selector: 'app-department-structure',
  templateUrl: './department-structure.component.html',
  styleUrls: ['./department-structure.component.scss'],
})
export class DepartmentStructureComponent implements OnInit {
  data: TreeNode[];
  currentUser: User;

  constructor(private authenticationService: AuthenticationService) {}

  ngOnInit() {
    this.currentUser = this.authenticationService.user;

    this.data = [
      {
        label: 'Департамент проектного управления',
        type: 'department',
        styleClass: 'department',
        expanded: true,
        children: [
          {
            label: 'Директор департамента',
            type: 'person',
            styleClass: 'ui-person',
            data: {
              name: 'А.И. Иванова.',
              avatar: 'avatar.png',
            },
          },
          {
            label: 'Отдел администрирования проектов',
            expanded: true,
            type: 'department',
            styleClass: 'department',
            children: [
              {
                label: 'Начальник сектора',
                type: 'person',
                styleClass: 'ui-person',
                data: {
                  name: 'А.Я. Клешня',
                  avatar: 'avatar1.png',
                },
              },
              {
                label: 'Администратор проектов',
                type: 'person',
                styleClass: 'ui-person',
                data: {
                  name: 'И.Я. Клешня',
                  avatar: 'avatar2.png',
                },
              },
            ],
          },
          {
            label: 'Отдел борьбы с динозаврами',
            type: 'department',
            styleClass: 'department',
            expanded: true,
            children: [
              {
                label: 'Старший специалист',
                type: 'person',
                styleClass: 'ui-person',
                data: {
                  name: 'О.О. Петродактлев',
                  avatar: 'avatar3.png',
                },
              },
              {
                label: 'Младший специалист',
                type: 'person',
                styleClass: 'ui-person',
                data: {
                  name: 'А.А. Тиранозавров',
                  avatar: 'avatar4.png',
                },
              },
            ],
          },
        ],
      },
    ];
  }
}
