import {NgModule} from '@angular/core';
import {RouterModule, Routes} from '@angular/router';
import {DocumentsComponent} from '@core-project/containers/documents/documents.component';
import {AuthGuard} from '@core-project/auth/guards';
import {DATA_APP_TITLE_KEY} from 'data-access/store';

const documentRoutes: Routes = [
  {
    path: 'documents',
    component: DocumentsComponent,
    canActivate: [AuthGuard],
    data: {[DATA_APP_TITLE_KEY]: 'DOCUMENTS.HEADER'},
  },
];

@NgModule({
  declarations: [],
  imports: [RouterModule.forChild(documentRoutes)],
})
export class DocumentsRoutingModule {
}
