import {Component} from '@angular/core';
import {Select} from '@ngxs/store';
import {Observable} from 'rxjs';
import {GlobalRulesSelectors} from 'data-access/store';

@Component({
  selector: 'app-documents',
  templateUrl: './documents.component.html',
  styleUrls: ['./documents.component.scss'],
})
export class DocumentsComponent {
  @Select(GlobalRulesSelectors.canCreate('document'))
  readonly canCreateDocument$: Observable<boolean>;

  @Select(GlobalRulesSelectors.canUpdate('document'))
  readonly canUpdateDocument$: Observable<boolean>;

  @Select(GlobalRulesSelectors.canDelete('document'))
  readonly canDeleteDocument$: Observable<boolean>;
}
