import { Component, EventEmitter, Input, Output } from '@angular/core';
import { DocumentType } from 'data-access/sdk/api2';

@Component({
  selector: 'app-document-subtypes-table',
  templateUrl: './document-subtypes-table.component.html',
  styleUrls: ['./document-subtypes-table.component.scss'],
})
export class DocumentSubtypesTableComponent {
  @Input() documentTypes: DocumentType[];

  @Output() delete: EventEmitter<DocumentType> = new EventEmitter<DocumentType>();
  @Output() edit: EventEmitter<DocumentType> = new EventEmitter<DocumentType>();
  @Output() onRowReorder: EventEmitter<DocumentType[]> = new EventEmitter<DocumentType[]>();

  rowReorder() {
    this.onRowReorder.emit(this.documentTypes);
  }
}
