import { ChangeDetectionStrategy, Component, Input } from '@angular/core';
import { FormControl, Validators } from '@angular/forms';

import { StageModel } from 'data-access/sdk/internal-api';

@Component({
  selector: 'app-select-stage',
  templateUrl: './select-stage.component.html',
  styleUrls: ['./select-stage.component.scss'],
  changeDetection: ChangeDetectionStrategy.OnPush,
})
export class SelectStageComponent {
  @Input() stages: StageModel[] = [];
  @Input() placeholder = '';
  @Input() control = new FormControl<StageModel>(undefined, [Validators.required]);
}
