import { ChangeDetectionStrategy, Component, Input } from '@angular/core';
import { FormControl } from '@angular/forms';
import { TranslateService } from '@ngx-translate/core';

import { ProjectEnums } from '@core-project/enums/project';

@Component({
  selector: 'app-status-dropdown',
  templateUrl: './status-dropdown.component.html',
  styleUrls: ['./status-dropdown.component.scss'],
  changeDetection: ChangeDetectionStrategy.OnPush,
})
export class StatusDropdownComponent {
  @Input() isModal = false;
  @Input() control!: FormControl;

  // from US
  availableStatuses = [
    { value: ProjectEnums.StatusEnum.FUT, name: this.translateService.instant('PROJECTS.STATUS.FUT') },
    { value: ProjectEnums.StatusEnum.ACT, name: this.translateService.instant('PROJECTS.STATUS.ACT') },
    { value: ProjectEnums.StatusEnum.CLS, name: this.translateService.instant('PROJECTS.STATUS.CLS') },
  ];

  constructor(private readonly translateService: TranslateService) {}
}
