import { Pipe, PipeTransform } from '@angular/core';
import {StageModel, StageOrderService} from 'data-access/sdk/internal-api';


@Pipe({
  name: 'stageOrder',
  standalone: true,
})
export class StageOrderPipe implements PipeTransform {
  constructor(private readonly orderService: StageOrderService) {}

  transform(stages: StageModel[]): StageModel[] {
    if (stages.length === 0) {
      return stages;
    }

    return this.orderService.sortStages(stages);
  }
}
