import { NgModule } from '@angular/core';
import { ReactiveFormsModule } from '@angular/forms';
import { TranslateModule } from '@ngx-translate/core';
import { CommonModule } from '@angular/common';
import { StageOrderPipe } from '@core-project/containers/knowledgebase/methodology/stages/pipes/stage-order.pipe';
import { SharedComponentsModule } from '@core-project/modules/shared-components/shared-components.module';
import { UnfreezePipe } from '@core-project/pipes/unfreeze.pipe';

import { StagesComponent } from './containers/stages.component';
import { CreateStageComponent } from './components/create-stage/create-stage.component';
import { EditStageModalComponent } from './components/edit-stage-modal/edit-stage-modal.component';
import { StatusDropdownComponent } from './components/status-dropdown/status-dropdown.component';
import { DeleteStageOverlayComponent } from './components/delete-stage-overlay/delete-stage-overlay.component';
import { StagesTableComponent } from './components/stages-table/stages-table.component';
import { SelectStageComponent } from './components/select-stage/select-stage.component';

// primeng
import { OverlayPanelModule } from 'primeng/overlaypanel';
import { InputTextModule } from 'primeng/inputtext';
import { ButtonModule } from 'primeng/button';
import { RippleModule } from 'primeng/ripple';
import { DropdownModule } from 'primeng/dropdown';
import { TableModule } from 'primeng/table';
import { CardModule } from 'primeng/card';

const primeNgModules = [OverlayPanelModule, InputTextModule, ButtonModule, RippleModule, DropdownModule, TableModule, CardModule];

@NgModule({
  declarations: [
    CreateStageComponent,
    EditStageModalComponent,
    StatusDropdownComponent,
    DeleteStageOverlayComponent,
    StagesTableComponent,
    SelectStageComponent,
  ],
  exports: [
    CreateStageComponent,
    EditStageModalComponent,
    StatusDropdownComponent,
    DeleteStageOverlayComponent,
    StagesTableComponent,
    SelectStageComponent,
  ],
  imports: [...primeNgModules, CommonModule, ReactiveFormsModule, TranslateModule, StageOrderPipe, SharedComponentsModule, UnfreezePipe],
})
export class StagesSharedModule {}
