import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { NgxsModule } from '@ngxs/store';
import { TranslateModule } from '@ngx-translate/core';
import { ReactiveFormsModule } from '@angular/forms';

import { UnfreezePipe } from '@core-project/pipes/unfreeze.pipe';
import { HasPermissionDirective } from 'utils/shared-directives';

import { StagesSharedModule } from './stages-shared.module';
import { StagesComponent } from './containers/stages.component';
import { StagesRoutingModule } from './stages-routing.module';
import { StagesState } from 'data-access/store';

import { ButtonModule } from 'primeng/button';
import { RippleModule } from 'primeng/ripple';
import { CardModule } from 'primeng/card';

// primeng
const primeNgModules = [ButtonModule, RippleModule, CardModule];

@NgModule({
  declarations: [StagesComponent],
  imports: [
    ...primeNgModules,
    CommonModule,
    StagesRoutingModule,
    NgxsModule.forFeature([StagesState]),
    ReactiveFormsModule,
    TranslateModule.forChild(),
    StagesSharedModule,
    UnfreezePipe,
    HasPermissionDirective,
  ],
})
export class StagesModule {}
