import {NgModule} from '@angular/core';
import {CommonModule} from '@angular/common';
import {OrganizationsRoutingModule} from './organizations-routing.module';
import {OrganizationsComponent} from './organizations.component';
import {RouterModule} from '@angular/router';
import {ButtonModule} from 'primeng/button';
import {TableModule} from 'primeng/table';
import {OverlayPanelModule} from 'primeng/overlaypanel';
import {DynamicDialogService} from '@core-project/services/dynamic-dialog.service';
import {OrganizationFormModule} from '@core-project/modules/forms/organization-form/organization-form.module';
import {DirectivesModule} from '@core-project/directives/directives.module';
import {RippleModule} from 'primeng/ripple';
import {InputTextModule} from 'primeng/inputtext';
import {TranslateModule} from '@ngx-translate/core';
import {SharedComponentsModule} from '@core-project/modules/shared-components/shared-components.module';
import {HasPermissionDirective} from 'utils/shared-directives';

@NgModule({
  declarations: [OrganizationsComponent],
  imports: [
    CommonModule,
    OrganizationsRoutingModule,
    RouterModule,
    ButtonModule,
    TableModule,
    OverlayPanelModule,
    OrganizationFormModule,
    DirectivesModule,
    RippleModule,
    InputTextModule,
    TranslateModule,
    SharedComponentsModule,
    HasPermissionDirective,
  ],
  providers: [DynamicDialogService],
})
export class OrganizationsModule {
}
