import { NgModule } from '@angular/core';
import { RouterModule, Routes } from '@angular/router';
import { AuthGuard } from '../../auth/guards';
import { ProgramsComponent } from './programs.component';
import { ProgramsStructureComponent } from './programs-structure/programs-structure.component';
import { ProgramsRoadmapComponent } from './programs-roadmap/programs-roadmap.component';

const programsRoutes: Routes = [
  {
    path: 'programs',
    component: ProgramsComponent,
    canActivate: [AuthGuard],
    children: [
      { path: 'structure', component: ProgramsStructureComponent },
      { path: 'roadmap', component: ProgramsRoadmapComponent },
    ],
  },
];

@NgModule({
  declarations: [],
  imports: [RouterModule.forChild(programsRoutes)],
})
export class ProgramsRoutingModule {}
