import { ChangeDetectionStrategy, Component, EventEmitter, Input, Output } from '@angular/core';
import { ProjectMetaValue } from 'data-access/sdk/api2';
import { IProjectDetailsGroup } from '../../containers/project-details-container/project-details-container.component';

@Component({
  selector: 'app-details-attributes',
  templateUrl: './details-attributes.component.html',
  styleUrls: ['./details-attributes.component.scss'],
  changeDetection: ChangeDetectionStrategy.OnPush,
})
export class DetailsAttributesComponent {
  @Input()
  metaGroups: IProjectDetailsGroup[];

  @Output()
  onChange: EventEmitter<ProjectMetaValue> = new EventEmitter<ProjectMetaValue>();

  onChangeValue(event: ProjectMetaValue): void {
    this.onChange.emit(event);
  }
}
