import {ChangeDetectionStrategy, Component, Input} from '@angular/core';
import {IProjectDetailsBudgetChartModel} from '../../models/budget-chart.model';
import {BudgetChartCurrencyEnum} from '@core-project/containers/project/project-details/enums/budget-chart-currency.enum';

@Component({
  selector: 'app-details-budget',
  templateUrl: './details-budget.component.html',
  styleUrls: ['./details-budget.component.scss'],
  changeDetection: ChangeDetectionStrategy.OnPush,
})
export class DetailsBudgetComponent {
  @Input()
  chart: IProjectDetailsBudgetChartModel;

  /** на текущий момент используется только рубль. */
  @Input()
  currencyType: BudgetChartCurrencyEnum = BudgetChartCurrencyEnum.RUB;

  get hasForecast(): boolean {
    return this.chart.forecast.value > 0 && this.chart.forecast.value !== this.chart.planned.value;
  }

  calcForecastChartPosition(): string {
    if (this.chart.isPositiveForecast) {
      return '-' + this.chart.forecast.width + '%';
    }

    return '0';
  }

  calcExpensesChartPosition(): string {
    if (this.chart.isFactMorePlanned) {
      return '100%';
    }

    return this.chart.expenses.width + '%';
  }
}
