import {ChangeDetectionStrategy, Component, EventEmitter, Input, Output} from '@angular/core';
import {ProjectState} from 'data-access/sdk/api2';

@Component({
  selector: 'app-details-status',
  templateUrl: './details-status.component.html',
  styleUrls: ['./details-status.component.scss'],
  changeDetection: ChangeDetectionStrategy.OnPush,
})
export class DetailsStatusComponent {
  @Output() onEditState = new EventEmitter<boolean>();
  @Output() onShowStateHistory = new EventEmitter<void>();

  @Input() projectState: ProjectState;

  editState(state: boolean): void {
    this.onEditState.emit(state);
  }

  showStateHistory(): void {
    this.onShowStateHistory.emit();
  }
}
