import {ChangeDetectionStrategy, Component, Input} from '@angular/core';
import {BehaviorSubject, Observable} from 'rxjs';

/** @deprecated */
@Component({
  selector: 'app-inplace-editor',
  templateUrl: './inplace-editor.component.html',
  styleUrls: ['./inplace-editor.component.scss'],
  changeDetection: ChangeDetectionStrategy.OnPush,
})
export class InplaceEditorComponent {
  @Input() content: string;
  @Input() icon = 'default';
  @Input() label: string;
  @Input() disabled = false;
  @Input() loading: boolean;
  @Input() isWideField = false;
  @Input() withoutContent = false;

  showedLabelSubject: BehaviorSubject<boolean> = new BehaviorSubject<boolean>(true);
  showedLabel$: Observable<boolean> = this.showedLabelSubject.asObservable();

  inplaceDeactivate() {
    this.showedLabelSubject.next(true);
  }

  onShow(): void {
    if (this.disabled) {
      return;
    }
    this.showedLabelSubject.next(false);
  }
}
