import { Component, OnInit } from '@angular/core';
import { ActivatedRoute } from '@angular/router';
import { Observable } from 'rxjs';
import { Store } from '@ngxs/store';

import {ProjectRulesSelectors} from 'data-access/store';

@Component({
  selector: 'app-project-documents',
  templateUrl: './project-documents.component.html',
  styleUrls: ['./project-documents.component.scss'],
})
export class ProjectDocumentsComponent implements OnInit {
  projectId: number;
  readonly canCreateDocument$: Observable<boolean> = this.store.select(ProjectRulesSelectors.canCreate('document'));
  readonly canUpdateDocument$: Observable<boolean> = this.store.select(ProjectRulesSelectors.canUpdate('document'));
  readonly canDeleteDocument$: Observable<boolean> = this.store.select(ProjectRulesSelectors.canDelete('document'));

  constructor(private readonly route: ActivatedRoute, private readonly store: Store) {}

  ngOnInit() {
    this.projectId = Number(this.route.parent.snapshot.paramMap.get('projectId'));
  }
}
