import * as moment from 'moment';
import { TotalProjectBudgetItem } from '@core-project/interfaces/finance';
import { ProjectBudgetItem } from 'data-access/sdk/api2';

export function generateMockData(month: number, year: number, budgetType: number, projectId: number): ProjectBudgetItem {
  return {
    date: moment(`${year}-${month}-1`).format('YYYY-MM-DD'),
    plan: '0',
    forecast: '0',
    fact: '0',
    approved: false,
    project: projectId,
    budget_type: budgetType,
    expenses: [],
  };
}

export function generateTotalEmptyData(month: number, year: number): TotalProjectBudgetItem {
  return {
    date: moment(+String(year) + '-' + String(month) + '-1'),
    plan: 0,
    forecast: 0,
    fact: 0,
    factForecast: 0,
    approved: true,
  };
}

export function isPastMonth(date: moment.Moment | string): boolean {
  if (typeof date === 'string') {
    date = moment(date);
  }
  return moment(date).isBefore(moment(), 'month');
}
