import {NgModule} from '@angular/core';
import {RouterModule, Routes} from '@angular/router';
import {AuthGuard} from '../../auth/guards';

import {ProjectsComponent} from './projects.component';
import {ProjectsRoadmapComponent} from './projects-roadmap/projects-roadmap.component';
import {ProjectsStructureComponent} from './projects-structure/projects-structure.component';
import {DATA_APP_TITLE_KEY} from 'data-access/store';

const projectRoutes: Routes = [
  {
    path: 'projects',
    component: ProjectsComponent,
    data: {[DATA_APP_TITLE_KEY]: 'PROJECTS.HEADER'},
    canActivate: [AuthGuard],
    children: [
      {path: 'structure', component: ProjectsStructureComponent},
      {path: 'roadmap', component: ProjectsRoadmapComponent},
      {path: '', redirectTo: 'structure', pathMatch: 'full'},
    ],
  },
];

@NgModule({
  declarations: [],
  imports: [RouterModule.forChild(projectRoutes)],
})
export class ProjectsRoutingModule {
}
