import { NgModule } from '@angular/core';
import { RouterModule, Routes } from '@angular/router';
import { RisksComponent } from './risks.component';
import { AuthGuard } from '@core-project/auth/guards';
import {DATA_APP_TITLE_KEY} from 'data-access/store';

const risksRoutes: Routes = [
  {
    path: 'risks',
    component: RisksComponent,
    canActivate: [AuthGuard],
    data: {[DATA_APP_TITLE_KEY]: 'ISSUES.HEADER_PROBLEMS'}
  },
];

@NgModule({
  declarations: [],
  imports: [RouterModule.forChild(risksRoutes)],
})
export class RisksRoutingModule {}
