import {Component, OnInit} from '@angular/core';
import {firstValueFrom} from 'rxjs';
import {Issue, IssuesService} from 'data-access/sdk/api2';
import {ChoicefieldInterface} from '@core-project/interfaces';
import {TranslateService} from '@ngx-translate/core';

@Component({
  selector: 'app-risks',
  templateUrl: './risks.component.html',
  styleUrls: ['./risks.component.scss'],
})
export class RisksComponent implements OnInit {
  issues: Array<Issue>;
  onlyActive = true;
  selectOptions: ChoicefieldInterface[];

  constructor(
    private issuesService: IssuesService,
    private translateService: TranslateService,
  ) {
  }

  ngOnInit() {
    this.selectOptions = [
      {label: this.translateService.instant('ISSUES.SHOW_ONLY_ACTIVE'), value: true},
      {label: this.translateService.instant('ISSUES.SHOW_ALL'), value: false},
    ];
    this.loadData();
  }

  private loadData(): void {
    firstValueFrom(this.issuesService.issuesIssuesList({include: 'domains, project, works__to_user'})).then((issues) => {
      this.issues = issues;
    });
  }
}
