import { Directive, HostListener, Output, EventEmitter, Input, ElementRef, Renderer2 } from '@angular/core';

export interface FileHandle {
  file: File;
}

@Directive({
  selector: '[appFileDrop]',
})
export class FileDropDirective {
  @Output() files: EventEmitter<FileHandle[]> = new EventEmitter();
  @Input() zone: string;

  captionEl: ElementRef;

  constructor(private el: ElementRef, private renderer: Renderer2) {
    // this.captionEl  = this.renderer.createElement('div');
    // const text = this.renderer.createText('AAAAAAaaaaaAAAAA');
    // this.renderer.addClass(this.captionEl, 'hidden');
    // this.renderer.addClass(this.captionEl, 'relative');
    // // this.renderer.addClass(this.captionEl, 'top-50');
    // // this.renderer.addClass(this.captionEl, 'left-50');
    // this.renderer.addClass(this.captionEl, 'z-5');
    // this.renderer.addClass(this.captionEl, 'flex');
    // this.renderer.addClass(this.captionEl, 'text-5xl');
    // this.renderer.addClass(this.captionEl, 'text-primary');
    // this.renderer.addClass(this.captionEl, 'text-center');
    // this.renderer.addClass(this.captionEl, 'justify-content-center');
    // this.renderer.addClass(this.captionEl, 'align-items-center');
    // this.renderer.addClass(this.captionEl, 'h-full');
    //
    //
    // this.renderer.appendChild(this.captionEl, text);
    // this.renderer.appendChild(this.el.nativeElement, this.captionEl);
  }

  @HostListener('dragover', ['$event']) public onDragOver(evt: DragEvent) {
    evt.preventDefault();
    evt.stopPropagation();

    this.dragOverStyle();
  }

  @HostListener('dragleave', ['$event']) public onDragLeave(evt: DragEvent) {
    evt.preventDefault();
    evt.stopPropagation();

    this.dragLeaveStyle();
  }

  @HostListener('drop', ['$event']) public onDrop(evt: DragEvent) {
    evt.preventDefault();
    evt.stopPropagation();
    this.dragLeaveStyle();

    const files: FileHandle[] = [];

    for (let i = 0; i < evt.dataTransfer.files.length; i++) {
      const file = evt.dataTransfer.files[i];
      files.push({ file });
    }
    if (files.length > 0) {
      this.files.emit(files);
    }
  }

  private dragOverStyle() {
    this.el.nativeElement.classList.add('border-round');
    this.el.nativeElement.classList.add('border-2');
    this.el.nativeElement.classList.add('border-dashed');
    // this.el.nativeElement.classList.add('border-primary');
    this.el.nativeElement.classList.add('opacity-50');
    // this.renderer.removeClass(this.captionEl, 'hidden');
  }

  private dragLeaveStyle() {
    this.el.nativeElement.classList.remove('border-round');
    this.el.nativeElement.classList.remove('border-2');
    this.el.nativeElement.classList.remove('border-dashed');
    // this.el.nativeElement.classList.remove('border-primary');
    this.el.nativeElement.classList.remove('opacity-50');

    // this.renderer.addClass(this.captionEl, 'hidden');
  }
}
