import { AfterViewInit, Directive, Input, Type, ViewContainerRef } from '@angular/core';

@Directive({
  selector: '[appInsertComponent]',
})
export class InsertComponentDirective implements AfterViewInit {
  @Input('appInsertComponent') component: Type<any>;
  @Input() inputs: object;

  constructor(private viewContainerRef: ViewContainerRef) {}

  ngAfterViewInit() {
    const componentRef = this.viewContainerRef.createComponent(this.component);
    if (this.inputs) {
      Object.keys(this.inputs).forEach((k) => componentRef.setInput(k, this.inputs[k]));
    }
  }
}
