import { Directive, Input, TemplateRef, ViewContainerRef } from '@angular/core';

@Directive({
  selector: '[appRepeat]',
})
export class RepeatDirective {
  constructor(private readonly templateRef: TemplateRef<any>, private readonly viewContainer: ViewContainerRef) {}

  @Input('appRepeat') set repeat(repetitions: number) {
    const arr = [...Array(repetitions).keys()];
    arr.forEach((_i) => this.viewContainer.createEmbeddedView(this.templateRef));
  }
}
