import { Directive, HostListener } from '@angular/core';
import { Router } from '@angular/router';

@Directive({
  selector: '[routeTransformer]',
  standalone: true,
})
export class RouteTransformerDirective {
  constructor(private readonly router: Router) {}

  @HostListener('click', ['$event'])
  onClick(event) {
    if (event.target.tagName === 'A') {
      this.router.navigate([event.target.getAttribute('href')]);
      event.preventDefault();
    }
  }
}
