import { CRUDEvent } from 'data-access/sdk/api2';
import { Comment } from 'data-access/sdk/api2';
import { ActionRecord } from '@core-project/interfaces';
import { ActionEnums } from '@core-project/enums';
import * as _ from 'lodash-es';

export function generateActions(comments: Comment[], historyRecords: CRUDEvent[]): ActionRecord[] {
  const res: ActionRecord[] = [];
  comments.forEach((c) =>
    res.push({
      type: ActionEnums.TypeEnum.COMMENT,
      date: new Date(c.created),
      comment: c,
    })
  );
  historyRecords.forEach((hr) =>
    res.push({
      type: ActionEnums.TypeEnum.HISTORY,
      date: new Date(hr.datetime),
      historyRecord: hr,
    })
  );

  return _.orderBy(res, ['date'], ['desc']);
}
