export * from './dates';
export * from './project';
export * from './actions';
export * from './luminance';

/**
 * Из-за проблемы с типами сделал явную проверку чтобы не было скрыто.
 *
 * @param enumObj проверяемый enum
 * @param value проверяемое значение
 */
export function checkEnumValue<T>(enumObj: T, value: string): T[keyof T] {
  const getEnumValuesFn = () =>
    Object.keys(enumObj)
      .filter((key) => typeof enumObj[key] === 'string')
      .map((key) => enumObj[key]) as T[keyof T][];

  const enumValues = getEnumValuesFn();
  const typeInEnum = enumValues.some((type) => type === value);
  if (!typeInEnum) {
    throw new Error(
      `Invalid link type!
               Value: ${value}
               Enum: ${enumValues}`
    );
  }

  return value as T[keyof T];
}
