import { ProjectExtra } from '@core-project/interfaces/projects';
import { Project } from 'data-access/sdk/api2';
import * as _ from 'lodash-es';

export function projectToProjectExtra(project: Project): ProjectExtra {
  const p: ProjectExtra = JSON.parse(JSON.stringify(project));
  p.metas_by_id = _.keyBy(p.rel_metas, 'meta');

  p.members_by_type = {};
  if (p.rel_members) {
    p.rel_members.forEach((m) => {
      if (!p.members_by_type[m.member_type]) {
        p.members_by_type[m.member_type] = [];
      }
      p.members_by_type[m.member_type].push(m.object_name);
    });
  }

  p.users_by_role_id = {};
  if (p.rel_users_roles) {
    p.rel_users_roles.forEach((ur) => {
      if (!p.users_by_role_id[ur.role]) {
        p.users_by_role_id[ur.role] = [];
      }
      p.users_by_role_id[ur.role].push(ur.rel_user);
    });
  }

  return p;
}
