import { WorkEnums } from '@core-project/enums';

const statusToIconMapping = {
  [WorkEnums.StatusEnum.CR]: 'fa-regular fa-pause fa-fw',
  [WorkEnums.StatusEnum.WP]: 'fa-regular fa-play fa-fw',
  [WorkEnums.StatusEnum.DN]: 'fa-regular fa-check fa-fw',
  [WorkEnums.StatusEnum.AC]: 'fa-regular fa-check-double fa-fw',
  [WorkEnums.StatusEnum.CN]: 'fa-regular fa-times fa-fw',
};

const statusToColorMapping = {
  [WorkEnums.StatusEnum.CR]: 'text-color-secondary',
  [WorkEnums.StatusEnum.WP]: 'text-primary-500',
  [WorkEnums.StatusEnum.DN]: 'text-green-500',
  [WorkEnums.StatusEnum.AC]: 'text-green-500',
  [WorkEnums.StatusEnum.CN]: 'text-red-500',
};

export function getIconByStatus(status: WorkEnums.StatusEnum): string {
  return statusToIconMapping[status];
}

export function getColorByStatus(status: WorkEnums.StatusEnum): string {
  return statusToColorMapping[status];
}
