export interface FilterValue {
  filterType: Filters.FilterTypeEnum;
  value: string;
}

export interface ColumnFilter {
  columnId: string;
  filters: Array<FilterValue>;
  operator: Filters.FilterOperatorEnum;
}

export namespace Filters {
  export type FilterTypeEnum = 'EQ' | 'CONT' | 'GT' | 'LT' | 'BTW';
  export const FilterTypeEnum = {
    EQ: 'EQ' as FilterTypeEnum,
    CONT: 'CONT' as FilterTypeEnum,
    GT: 'GT' as FilterTypeEnum,
    LT: 'LT' as FilterTypeEnum,
    BTW: 'BTW' as FilterTypeEnum,
  };

  export type FilterOperatorEnum = 'AND' | 'OR';
  export const FilterOperatorEnum = {
    AND: 'AND' as FilterOperatorEnum,
    OR: 'OR' as FilterOperatorEnum,
  };
}
