import { Observable } from 'rxjs';
import { ProjectMeta } from 'data-access/sdk/api2';
import { ProjectEnums } from '@core-project/enums/project';
import { SelectItem } from 'primeng/api';
import { Type } from '@angular/core';

export interface ProjectColumn {
  id: string;
  name: string;
  type: ProjectEnums.DataTypeEnum;
  dataDisplayKey: string;
  required: boolean;
  width?: string;
  dataEditKey?: string;
  dataDisplayFn?: (item: any) => string;
  displayComponent?: Type<any>;
  displayComponentInput?: string;
  displayComponentStaticInput?: object;
  mtmDisplayKey?: string;
  dataTranslate?: boolean;
  dataTranslateKey?: string;
  meta?: ProjectMeta;
  choices?: Observable<Array<SelectItem>>;
  editable?: boolean;
  groupable?: boolean;
  frozen?: boolean;
}
