import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { DocumentMetaFormComponent } from './document-meta-form/document-meta-form.component';
import { DocumentTypeFormComponent } from './document-type-form/document-type-form.component';
import { DocumentFormComponent } from '@core-project/modules/forms/document-forms/document-form/document-form.component';
import { DocumentFileFormComponent } from '@core-project/modules/forms/document-forms/document-file-form/document-file-form.component';
import { ReactiveFormsModule } from '@angular/forms';
import { DropdownModule } from 'primeng/dropdown';
import { TranslateModule } from '@ngx-translate/core';
import { CalendarModule } from 'primeng/calendar';
import { FileUploadModule } from 'primeng/fileupload';
import { InputNumberModule } from 'primeng/inputnumber';
import { DirectivesModule } from '@core-project/directives/directives.module';
import { RippleModule } from 'primeng/ripple';
import { InputTextModule } from 'primeng/inputtext';
import { InputTextareaModule } from 'primeng/inputtextarea';
import { ButtonModule } from 'primeng/button';
import { TooltipModule } from 'primeng/tooltip';
import { MultiSelectModule } from 'primeng/multiselect';
import { ToggleButtonModule } from 'primeng/togglebutton';
import { ChipModule } from 'primeng/chip';
import { ChipsModule } from 'primeng/chips';
import { CheckboxModule } from 'primeng/checkbox';

@NgModule({
  declarations: [DocumentMetaFormComponent, DocumentTypeFormComponent, DocumentFormComponent, DocumentFileFormComponent],
  imports: [
    CommonModule,
    ReactiveFormsModule,
    DropdownModule,
    TranslateModule,
    CalendarModule,
    FileUploadModule,
    InputNumberModule,
    DirectivesModule,
    RippleModule,
    InputTextModule,
    InputTextareaModule,
    ButtonModule,
    TooltipModule,
    MultiSelectModule,
    ToggleButtonModule,
    ChipModule,
    ChipsModule,
    CheckboxModule,
  ],
  exports: [DocumentMetaFormComponent, DocumentTypeFormComponent, DocumentFormComponent, DocumentFileFormComponent],
})
export class DocumentFormsModule {}
