import { Component, OnInit } from '@angular/core';
import { DynamicDialogConfig, DynamicDialogRef } from 'primeng/dynamicdialog';
import { BudgetCategory } from 'data-access/sdk/api2';
import { FormBuilder, FormGroup, Validators } from '@angular/forms';

@Component({
  selector: 'app-budget-category-form',
  templateUrl: './budget-category-form.component.html',
  styleUrls: ['./budget-category-form.component.scss'],
})
export class BudgetCategoryFormComponent implements OnInit {
  category: BudgetCategory;
  form: FormGroup;

  constructor(private config: DynamicDialogConfig, private ref: DynamicDialogRef, private formBuilder: FormBuilder) {}

  ngOnInit(): void {
    this.category = this.config.data.category;
    this.initForm();
  }

  initForm() {
    this.form = this.formBuilder.group({
      name: [this.category?.name, Validators.required],
    });
  }

  save() {
    this.ref.close(this.form.value);
  }
}
