import {NgModule} from '@angular/core';
import {CommonModule} from '@angular/common';
import {OrganizationFormComponent} from './organization-form.component';
import {ReactiveFormsModule} from '@angular/forms';

import {InputTextModule} from 'primeng/inputtext';
import {InputTextareaModule} from 'primeng/inputtextarea';
import {ButtonModule} from 'primeng/button';
import {InputMaskModule} from 'primeng/inputmask';
import {CheckboxModule} from 'primeng/checkbox';
import {ScrollPanelModule} from 'primeng/scrollpanel';
import {ConfirmDialogModule} from 'primeng/confirmdialog';
import {TooltipModule} from 'primeng/tooltip';
import {FileUploadModule} from 'primeng/fileupload';
import {InputNumberModule} from 'primeng/inputnumber';
import {RippleModule} from 'primeng/ripple';
import {HasPermissionDirective} from 'utils/shared-directives';

@NgModule({
  declarations: [OrganizationFormComponent],
  imports: [
    CommonModule,
    ReactiveFormsModule,
    InputTextModule,
    InputTextareaModule,
    ButtonModule,
    InputMaskModule,
    CheckboxModule,
    ScrollPanelModule,
    ConfirmDialogModule,
    TooltipModule,
    FileUploadModule,
    InputNumberModule,
    RippleModule,
    HasPermissionDirective,
  ],
  exports: [OrganizationFormComponent],
})
export class OrganizationFormModule {
}
