import { Component, OnInit } from '@angular/core';
import { ProjectMetaGroup } from 'data-access/sdk/api2';
import { FormBuilder, FormGroup, Validators } from '@angular/forms';
import { DynamicDialogConfig, DynamicDialogRef } from 'primeng/dynamicdialog';

@Component({
  selector: 'app-project-meta-group-form',
  templateUrl: './project-meta-group-form.component.html',
  styleUrls: ['./project-meta-group-form.component.scss'],
})
export class ProjectMetaGroupFormComponent implements OnInit {
  group: ProjectMetaGroup;
  form: FormGroup;

  constructor(private formBuilder: FormBuilder, private config: DynamicDialogConfig, private ref: DynamicDialogRef) {}

  ngOnInit(): void {
    this.group = this.config.data.group;
    this.initForm();
  }

  initForm() {
    this.form = this.formBuilder.group({
      name: [this.group?.name, Validators.required],
    });
  }

  save() {
    this.ref.close(this.form.value);
  }
}
