import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { FormsModule, ReactiveFormsModule } from '@angular/forms';
import { TranslateModule } from '@ngx-translate/core';

import { InputTextareaModule } from 'primeng/inputtextarea';
import { ButtonModule } from 'primeng/button';
import { RippleModule } from 'primeng/ripple';
import { SliderModule } from 'primeng/slider';
import { SharedModule } from 'primeng/api';
import { TableModule } from 'primeng/table';
import { TabMenuModule } from 'primeng/tabmenu';
import { InputNumberModule } from 'primeng/inputnumber';

import { PipesModule } from '@core-project/pipes/pipes.module';
import { SharedComponentsModule } from '@core-project/modules/shared-components/shared-components.module';

import { CustomDatePipe, DiffPipe } from 'utils/shared-pipes';
import { CIconComponent } from 'ui/custom-icons';

import { ProjectStateFormComponent } from './project-state-form.component';

@NgModule({
    declarations: [ProjectStateFormComponent],
    exports: [ProjectStateFormComponent],
    imports: [
        CommonModule,
        ReactiveFormsModule,
        InputTextareaModule,
        SharedComponentsModule,
        ButtonModule,
        RippleModule,
        TranslateModule,
        SliderModule,
        SharedModule,
        TableModule,
        PipesModule,
        TabMenuModule,
        FormsModule,
        InputNumberModule,
        CustomDatePipe,
        CIconComponent,
        DiffPipe,
    ]
})
export class ProjectStateFormModule {}
