import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { UserFormComponent } from './user-form/user-form.component';
import { TelephoneFormComponent } from './telephone-form/telephone-form.component';
import { ReactiveFormsModule } from '@angular/forms';
import { InputTextModule } from 'primeng/inputtext';
import { TranslateModule } from '@ngx-translate/core';
import { DropdownModule } from 'primeng/dropdown';
import { CheckboxModule } from 'primeng/checkbox';
import { CalendarModule } from 'primeng/calendar';
import { RippleModule } from 'primeng/ripple';
import { ImageModule } from 'primeng/image';
import { FileUploadModule } from 'primeng/fileupload';
import { TooltipModule } from 'primeng/tooltip';

@NgModule({
  declarations: [UserFormComponent, TelephoneFormComponent],
  imports: [
    CommonModule,
    ReactiveFormsModule,
    InputTextModule,
    TranslateModule,
    DropdownModule,
    CheckboxModule,
    CalendarModule,
    RippleModule,
    ImageModule,
    FileUploadModule,
    TooltipModule,
  ],
})
export class UserFormsModule {}
