import { Component, Input, OnInit } from '@angular/core';
import { Contact } from 'data-access/sdk/api2';

@Component({
  selector: 'app-contact-tag',
  templateUrl: './contact-tag.component.html',
  styleUrls: ['./contact-tag.component.scss'],
})
export class ContactTagComponent implements OnInit {
  @Input() contact: Contact;
  tooltip: string;

  constructor() {}

  ngOnInit(): void {
    let res = '';
    this.contact.rel_telephones.forEach((tel, index) => {
      if (index > 0) {
        res += ', ';
      }
      res += tel.number;
    });
    this.contact.rel_emails.forEach((email, index) => {
      if (res.length > 0) {
        res += ', ';
      }
      res += email.email;
    });
    this.tooltip = res;
  }
}
