import { Component, Input, OnInit } from '@angular/core';
import { SelectItem } from 'primeng/api';
import { TranslateService } from '@ngx-translate/core';

@Component({
  selector: 'app-date-filter',
  templateUrl: './date-filter.component.html',
  styleUrls: ['./date-filter.component.scss'],
})
export class DateFilterComponent implements OnInit {
  @Input() field: string;
  matchModeOptions: SelectItem[];

  constructor(private translateService: TranslateService) {}

  ngOnInit(): void {
    this.matchModeOptions = [
      { label: this.translateService.instant('CUSTOM_FILTERS.DATE_BEFORE'), value: 'stringDateBefore' },
      { label: this.translateService.instant('CUSTOM_FILTERS.DATE_AFTER'), value: 'stringDateAfter' },
    ];
  }
}
