import {AfterViewInit, Component, ElementRef, Input} from '@angular/core';
import {ControlValueAccessor, NG_VALUE_ACCESSOR} from '@angular/forms';

/** @deprecated */
@Component({
  selector: 'app-editor',
  templateUrl: './editor.component.html',
  providers: [
    {
      provide: NG_VALUE_ACCESSOR,
      multi: true,
      useExisting: EditorComponent,
    },
  ],
})
export class EditorComponent implements ControlValueAccessor, AfterViewInit {
  @Input() style: any;
  @Input() readonly: boolean;
  @Input() placeholder: string;
  @Input() styleClass: string;
  defaultStyle = {height: '100px'};

  value: number;

  touched = false;
  disabled = false;

  constructor(private elementRef: ElementRef) {
  }

  ngAfterViewInit() {
    this.elementRef.nativeElement.querySelector('div.ql-editor').focus();
  }

  onChangeFn = (value) => {
  };
  onTouchedFn = () => {
  };

  valueChanged() {
    if (!this.readonly && !this.disabled) {
      this.markAsTouched();
      this.onChangeFn(this.value);
    }
  }

  writeValue(val: number) {
    this.value = val;
  }

  registerOnChange(onChange: any) {
    this.onChangeFn = onChange;
  }

  registerOnTouched(onTouched: any) {
    this.onTouchedFn = onTouched;
  }

  markAsTouched() {
    if (!this.touched) {
      this.onTouchedFn();
      this.touched = true;
    }
  }

  setDisabledState(disabled: boolean) {
    this.disabled = disabled;
  }
}
