import { Component, EventEmitter, Input, OnInit, Output } from '@angular/core';
import { TranslateService } from '@ngx-translate/core';

@Component({
  selector: 'app-extension-switcher',
  templateUrl: './extension-switcher.component.html',
  styleUrls: ['./extension-switcher.component.scss'],
})
export class ExtensionSwitcherComponent implements OnInit {
  @Input() extension: string;
  @Output() extensionChange = new EventEmitter<string>();

  public extensionOptions;

  constructor(private translateService: TranslateService) {}

  ngOnInit(): void {
    if (!this.extension) {
      this.extension = 'auto';
      this.extensionChanged();
    }
    this.extensionOptions = [
      { name: this.translateService.instant('FINANCE.EXTENSIONS.NONE'), value: 'none' },
      { name: this.translateService.instant('FINANCE.EXTENSIONS.AUTO'), value: 'auto' },
      { name: this.translateService.instant('FINANCE.EXTENSIONS.THOUSANDS'), value: 'thousands' },
      { name: this.translateService.instant('FINANCE.EXTENSIONS.MILLIONS'), value: 'millions' },
      { name: this.translateService.instant('FINANCE.EXTENSIONS.BILLIONS'), value: 'billions' },
    ];
  }

  extensionChanged() {
    this.extensionChange.emit(this.extension);
  }
}
