import { Component, Input } from '@angular/core';
import { DialogService } from 'primeng/dynamicdialog';
import { HelpWindowComponent } from '@core-project/modules/shared-components/help-window/help-window.component';

@Component({
  selector: 'app-help-button',
  template: `
    <span [ngClass]="{ 'cursor-pointer': true }" [class]="styleClass" [ngStyle]="style" (click)="openHelp()">
      <i [class]="icon"></i>
    </span>
  `,
})
export class HelpButtonComponent {
  @Input() icon = 'fa-regular fa-question-circle';
  @Input() styleClass: string;
  @Input() style: any;
  @Input() header: string;
  @Input() text: string;

  constructor(private dialogService: DialogService) {}

  public openHelp() {
    this.dialogService.open(HelpWindowComponent, {
      header: this.header,
      width: '50%',
      dismissableMask: true,
      data: { text: this.text },
    });
  }
}
