import { Component, Input } from '@angular/core';
import { ControlValueAccessor, NG_VALUE_ACCESSOR } from '@angular/forms';

/** @deprecated */
@Component({
  selector: 'app-issue-fire',
  templateUrl: './issue-fire.component.html',
  styleUrls: ['./issue-fire.component.scss'],
  providers: [
    {
      provide: NG_VALUE_ACCESSOR,
      multi: true,
      useExisting: IssueFireComponent,
    },
  ],
})
export class IssueFireComponent implements ControlValueAccessor {
  @Input() readonly: boolean;
  @Input() style: any;
  @Input() styleClass: string;

  value: number;
  values = [1, 2, 3];

  touched = false;
  disabled = false;

  constructor() {}

  onChangeFn = (value) => {};
  onTouchedFn = () => {};

  valueChanged(newVal: number) {
    if (!this.readonly && !this.disabled) {
      this.markAsTouched();
      if (newVal !== this.value) {
        this.value = newVal;
      } else {
        this.value = 0;
      }
      this.onChangeFn(this.value);
    }
  }

  writeValue(val: number) {
    this.value = val;
  }

  registerOnChange(onChange: any) {
    this.onChangeFn = onChange;
  }

  registerOnTouched(onTouched: any) {
    this.onTouchedFn = onTouched;
  }

  markAsTouched() {
    if (!this.touched) {
      this.onTouchedFn();
      this.touched = true;
    }
  }

  setDisabledState(disabled: boolean) {
    this.disabled = disabled;
  }
}
