import { Component, Input, OnChanges, SimpleChanges } from '@angular/core';
import { Issue } from 'data-access/sdk/api2';

@Component({
  selector: 'app-issue-status',
  templateUrl: './issue-status.component.html',
  styleUrls: ['./issue-status.component.scss'],
})
export class IssueStatusComponent implements OnChanges {
  @Input() status: Issue['status'];
  @Input() showIcon = true;
  @Input() showText = true;
  @Input() styleClass: string;
  public icon: string;
  public color: string;

  ngOnChanges(changes: SimpleChanges) {
    this.getColorAndIcon();
  }

  getColorAndIcon() {
    switch (this.status) {
      case 'ACT': {
        this.icon = 'fa-solid fa-fire fa-beat';
        this.color = 'text-orange-500';
        break;
      }
      case 'LRL': {
        this.icon = 'fa-duotone fa-fire-smoke';
        this.color = 'text-gray-500';
        break;
      }
      case 'SLV': {
        this.icon = 'fa-solid fa-fire-extinguisher';
        this.color = 'text-green-500';
        break;
      }
    }
  }
}
