import { Component, Input, OnDestroy, OnInit } from '@angular/core';
import { LoadingService } from '../../../services/loading.service';
import { Loader } from '../../../interfaces/loader';

@Component({
  selector: 'app-loading',
  templateUrl: './loading.component.html',
  styleUrls: ['./loading.component.scss'],
})
export class LoadingComponent implements OnInit, OnDestroy {
  @Input() name = 'GLOBAL';
  public loading = false;

  constructor(private loadingController: LoadingService) {}

  ngOnInit() {
    this.loadingController.register(this.name);
    this.loadingController.loading.subscribe((val: Loader) => {
      if (this.name === val.name) {
        this.loading = val.active;
      }
    });
  }

  ngOnDestroy(): void {
    this.loadingController.unregister(this.name);
  }
}
