import { Component, EventEmitter, Input, OnInit, Output } from '@angular/core';
import { NewsEntry } from 'data-access/sdk/api2';
import { Router } from '@angular/router';

@Component({
  selector: 'app-news-entry',
  templateUrl: './news-entry.component.html',
  styleUrls: ['./news-entry.component.scss'],
})
export class NewsEntryComponent implements OnInit {
  @Input() newsEntry: NewsEntry;
  @Input() canEdit = false;
  @Input() canDelete = false;
  @Input() headerMode: 'full' | 'title' = 'title';
  @Output() onEdit = new EventEmitter<NewsEntry>();
  @Output() onDelete = new EventEmitter<NewsEntry>();

  header: string;

  constructor(private router: Router) {}

  ngOnInit(): void {}

  deleteNews() {
    this.onDelete.emit(this.newsEntry);
  }

  goToProject(projectId) {
    this.router.navigate(['/project', projectId, 'details']);
  }

  editNews() {
    this.onEdit.emit(this.newsEntry);
  }
}
