import { Component, Input } from '@angular/core';
import { Department } from 'data-access/sdk/api2';
import { Partner } from 'data-access/sdk/api2';
import { DepartmentsService } from 'data-access/sdk/api2';
import { firstValueFrom } from 'rxjs';
import { OrganizationService } from 'data-access/sdk/api2';

@Component({
  selector: 'app-organization-string',
  templateUrl: './organization-string.component.html',
  styleUrls: ['./organization-string.component.scss'],
})
export class OrganizationStringComponent {
  @Input() organization: Partner;
  @Input() style: any;
  @Input() styleClass: string;

  loading = true;
  loadedOrg: Partner;

  constructor(private organizationsService: OrganizationService) {}

  public openOverlay(event, panel) {
    event.stopPropagation();
    panel.toggle(event);
    if (!this.loadedOrg) {
      firstValueFrom(this.organizationsService.organizationRead({ id: this.organization.id })).then((org) => {
        this.loadedOrg = org;
        this.loading = false;
      });
    }
  }
}
