import { Component, Input, OnInit } from '@angular/core';
import { ProjectEnums } from '@core-project/enums/project';
import IndicatorEnum = ProjectEnums.IndicatorEnum;

@Component({
  selector: 'app-project-indicator',
  template: `
    <span
      [class]="styleClass"
      [ngClass]="{
        'text-red-500': indicator === indicators.RED,
        'text-yellow-500': indicator === indicators.AMBER,
        'text-green-500': indicator === indicators.GREEN,
        'text-gray-500': indicator === indicators.NA,
        'fa-stack fa-1x w-2rem': true
      }"
      [ngStyle]="{ 'font-size': sizeRem + 'rem' }"
    >
      <i class="fa-thin fa-circle fa-stack-1x vertical-align-middle" [ngStyle]="{ 'font-size': sizeRem + 0.75 + 'rem' }"></i>
      <i [class]="icon" [ngClass]="{ 'fa-stack-1x vertical-align-middle': true }"></i>
    </span>
    <!--    <i-->
    <!--      [class]="customClass"-->
    <!--      [ngClass]="{'border-red-500 text-red-500': indicator === indicators.RED,-->
    <!--                  'border-yellow-500 text-yellow-500': indicator === indicators.AMBER,-->
    <!--                  'border-green-500 text-green-500': indicator === indicators.GREEN,-->
    <!--                  'border-gray-500 text-gray-500': indicator === indicators.NA}"-->
    <!--      [ngStyle]="{'font-size':sizeRem+'rem'}"-->
    <!--    ></i>-->
    <!--    <div-->
    <!--      [class]="customClass"-->
    <!--      [ngClass]="{'bg-red-500': indicator === indicators.RED,-->
    <!--                  'bg-yellow-500': indicator === indicators.AMBER,-->
    <!--                  'bg-green-500': indicator === indicators.GREEN,-->
    <!--                  'bg-gray-500': indicator === indicators.NA}"-->
    <!--    ></div>-->
  `,
})
export class ProjectIndicatorComponent implements OnInit {
  @Input() indicator: IndicatorEnum;
  @Input() sizeRem = 1;
  @Input() styleClass: string;
  @Input() icon = 'fa-solid fa-circle';
  public indicators = IndicatorEnum;
  public customClass: string;

  ngOnInit() {
    // this.customClass = `w-${this.sizeRem}rem h-${this.sizeRem}rem border-circle m-1 ` + this.styleClass;
    this.customClass = `${this.icon} border-circle border-1 m-1 p-1 ${this.styleClass}`;
  }
}
