import { Component, EventEmitter, Input, Output } from '@angular/core';
import { ConfirmationService } from 'primeng/api';
import { TranslateService } from '@ngx-translate/core';

@Component({
  selector: 'app-gantt-autoschedule',
  templateUrl: './gantt-autoschedule.component.html',
  styleUrls: ['./gantt-autoschedule.component.scss'],
})
export class GanttAutoscheduleComponent {
  @Input() autoschedule: boolean;
  @Output() autoscheduleChange: EventEmitter<boolean> = new EventEmitter();

  constructor(private confirmationService: ConfirmationService, private translateService: TranslateService) {}

  onChange() {
    if (this.autoschedule) {
      this.confirmationService.confirm({
        message: this.translateService.instant('GANTT.AUTOSCHEDULE_CONFIRM_MSG'),
        accept: () => this.autoscheduleChange.emit(this.autoschedule),
        reject: () => (this.autoschedule = false),
      });
    } else {
      this.autoscheduleChange.emit(this.autoschedule);
    }
  }
}
