import { Component, EventEmitter, Input, OnInit, Output } from '@angular/core';
import { TranslateService } from '@ngx-translate/core';
import { ChoicefieldInterface } from '@core-project/interfaces';
import { WorkEnums } from '@core-project/enums';

@Component({
  selector: 'app-gantt-scale',
  templateUrl: './gantt-scale.component.html',
  styleUrls: ['./gantt-scale.component.scss'],
})
export class GanttScaleComponent implements OnInit {
  @Input() scale: WorkEnums.GanttScaleEnum;
  @Output() scaleChange = new EventEmitter<WorkEnums.GanttScaleEnum>();

  public scaleChoices: ChoicefieldInterface[];

  constructor(private ts: TranslateService) {}

  ngOnInit() {
    const res: ChoicefieldInterface[] = [];

    Object.keys(WorkEnums.GanttScaleEnum).forEach((s) =>
      res.push({ value: WorkEnums.GanttScaleEnum[s], label: this.ts.instant('GANTT.SCALES.' + s) })
    );

    this.scaleChoices = res;
  }

  public onViewModeChange() {
    this.scaleChange.emit(this.scale);
  }
}
