import { Component, EventEmitter, Input, OnInit, Output } from '@angular/core';
import { WorkEnums } from '@core-project/enums';
import { ChoicefieldInterface } from '@core-project/interfaces';
import { TranslateService } from '@ngx-translate/core';

@Component({
  selector: 'app-gantt-view-switcher',
  templateUrl: './gantt-view-switcher.component.html',
  styleUrls: ['./gantt-view-switcher.component.scss'],
})
export class GanttViewSwitcherComponent implements OnInit {
  @Input() viewMode: WorkEnums.GanttViewModeEnum;
  @Output() viewModeChange = new EventEmitter<WorkEnums.GanttViewModeEnum>();

  public viewModeChoices: ChoicefieldInterface[];

  constructor(private ts: TranslateService) {}

  ngOnInit() {
    const res: ChoicefieldInterface[] = [];

    Object.keys(WorkEnums.GanttViewModeEnum).forEach((s) =>
      res.push({ value: WorkEnums.GanttViewModeEnum[s], label: this.ts.instant('GANTT.VIEWS.' + s) })
    );

    this.viewModeChoices = res;
  }

  public onScaleChange() {
    this.viewModeChange.emit(this.viewMode);
  }
}
