import { Component, EventEmitter, Input, Output, OnInit, ViewEncapsulation } from '@angular/core';
import { Work } from 'data-access/sdk/api2';
import { WorkEnums } from '@core-project/enums';
import { WorkBase } from 'data-access/sdk/api2';

@Component({
  encapsulation: ViewEncapsulation.None,

  selector: 'app-work-card',
  templateUrl: './work-card.component.html',
  styleUrls: ['./work-card.component.scss'],
})
export class WorkCardComponent implements OnInit {
  @Input() work: WorkBase;
  @Input() showProject = false;

  styleClass: string;
  statuses = WorkEnums.StatusEnum;

  constructor() {}

  ngOnInit(): void {
    if (this.work.work_type === 'TS') {
      this.styleClass = 'border-blue-300 ';
    } else if (this.work.work_type === 'MS') {
      this.styleClass = 'border-purple-300 ';
    } else if (this.work.work_type === 'AS') {
      this.styleClass = 'border-yellow-300 ';
    }
    this.styleClass = this.styleClass + 'border-1';
  }
}
