import {Component, Input, OnChanges, SimpleChanges} from '@angular/core';
import {WorkBase} from 'data-access/sdk/api2';
import {TranslateService} from '@ngx-translate/core';
import {WorkEnums} from '@core-project/enums';

@Component({
  selector: 'app-work-danger',
  templateUrl: './work-danger.component.html',
  styleUrls: ['./work-danger.component.scss'],
})
export class WorkDangerComponent implements OnChanges {
  @Input() work: WorkBase;

  toolTip: string;

  constructor(private ts: TranslateService) {
  }

  ngOnChanges(changes: SimpleChanges) {
    if (this.work.overdue) {
      this.toolTip =
        this.work.status === WorkEnums.StatusEnum.CR ? this.ts.instant('WORKS.START_OVERDUE') : this.ts.instant('WORKS.END_OVERDUE');
    }
  }
}
