import {Component, Input} from '@angular/core';
import {WorkBase} from 'data-access/sdk/api2';
import {WorkEnums} from '@core-project/enums';

@Component({
  selector: 'app-work-period',
  templateUrl: './work-period.component.html',
  styleUrls: ['./work-period.component.scss'],
})
export class WorkPeriodComponent {
  @Input() work: WorkBase;
  @Input() showStart = false;
  @Input() showEnd = true;
  // @Input() showDuration = false;
  @Input() dateFormat = 'd MMM';
  @Input() view: 'tag' | 'string' = 'tag';
  @Input() style: any;
  @Input() styleClass: string;

  workTypes = WorkEnums.WorkTypeEnum;
}
