import {Component, EventEmitter, Input, Output} from '@angular/core';
import {WorkEnums} from '@core-project/enums';
import {Store} from '@ngxs/store';

import {Work} from 'data-access/sdk/api2';
import {WorksActions} from 'data-access/store';

@Component({
  selector: 'app-work-string',
  templateUrl: './work-string.component.html',
  styleUrls: ['./work-string.component.scss'],
})
export class WorkStringComponent {
  @Input() work: Work;
  @Input() style: any;
  @Input() styleClass: string;
  @Input() clickable = true;
  @Output() onWorkChange: EventEmitter<any> = new EventEmitter();

  workStatus = WorkEnums.StatusEnum;

  constructor(
    private readonly store: Store,
  ) {
  }

  openWork() {
    if (!this.clickable) {
      return;
    }

    this.store.dispatch(new WorksActions.ShowWorkInSidebar(this.work.id)).subscribe();
    // this.onWorkChange.emit()
  }
}
