import {Component, Input} from '@angular/core';
import {Store} from '@ngxs/store';

import {Work, WorksService} from 'data-access/sdk/api2';
import {WorksActions} from 'data-access/store';

@Component({
  selector: 'app-works-table',
  templateUrl: './works-table.component.html',
  styleUrls: ['./works-table.component.scss'],
})
export class WorksTableComponent {
  @Input() works: Work[];
  @Input() showProject = false;

  constructor(
    private readonly worksService: WorksService,
    private readonly store: Store,
  ) {
  }

  openWork(work: Work) {
    this.store.dispatch(new WorksActions.ShowWorkInSidebar(work.id)).subscribe();
    // this.updateWork(work.id)
  }

  private updateWork(workId: Work['id']) {
    this.worksService.worksRead({id: workId, include: 'to_user'}).subscribe((work) => Object.assign(work, work));
  }
}
