import { Directive, ElementRef, Input, OnInit, Renderer2 } from '@angular/core';

@Directive({
  selector: '[table-resize-tr]',
  standalone: true,
})
export class TableResizeTrDirective implements OnInit {
  @Input() type: 'header' | 'cell';

  constructor(private element: ElementRef, private renderer: Renderer2) {}

  ngOnInit() {
    const element: HTMLElement = this.renderer.createElement(this.type === 'header' ? 'th' : 'td');
    element.setAttribute('style', 'width: 100% !important');
    this.renderer.appendChild(this.element.nativeElement, element);
  }
}
