import { Injectable } from '@angular/core';
import { Table } from 'primeng/table';

@Injectable({
  providedIn: 'root',
})
export class TableResizeService {
  constructor() {}

  calculateTableWidth(table: Table) {
    const primeNgTableWidth = (table.el.nativeElement as HTMLElement).offsetWidth;
    const nativeTableEl: HTMLElement = table.tableViewChild.nativeElement;
    const children = nativeTableEl.children;

    let colsWidth = 0;
    for (let i = 0; i < children.length; i++) {
      const child: HTMLElement = children[i] as HTMLElement;

      if (!child.id) {
        continue;
      }

      colsWidth += child.offsetWidth;
    }

    let newTableWidth = 0;
    if (primeNgTableWidth - colsWidth >= 0) {
      newTableWidth = colsWidth;
    } else {
      newTableWidth = primeNgTableWidth;
    }

    return newTableWidth;
  }

  resetCelsWidth(table: Table) {
    if (table?.styleElement?.innerHTML) {
      table.styleElement.innerHTML = '';
    }
  }
}
