import { AfterContentInit, Component, ContentChildren, Input, OnInit, QueryList, TemplateRef } from '@angular/core';
import { PrimeTemplate } from 'primeng/api';

@Component({
  selector: 'app-base-widget',
  templateUrl: './base-widget.component.html',
  styleUrls: ['./base-widget.component.scss'],
})
export class BaseWidgetComponent implements OnInit, AfterContentInit {
  @ContentChildren(PrimeTemplate) templates: QueryList<any>;
  @Input() header: string;
  @Input() loading: boolean;
  @Input() height: string;

  public headerTpl: TemplateRef<any>;
  public contentTpl: TemplateRef<any>;
  public footerTpl: TemplateRef<any>;

  constructor() {}

  ngOnInit(): void {}

  ngAfterContentInit() {
    this.templates.forEach((item) => {
      switch (item.getType()) {
        case 'header':
          this.headerTpl = item.template;
          break;
        case 'content':
          this.contentTpl = item.template;
          break;
        case 'footer':
          this.footerTpl = item.template;
          break;
        default:
          this.contentTpl = item.template;
      }
    });
  }
}
