import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { ProjectsWidgetComponent } from './projects-widget/projects-widget.component';
import { WorksWidgetComponent } from './works-widget/works-widget.component';
import { IssuesWidgetComponent } from './issues-widget/issues-widget.component';
import { BaseWidgetComponent } from './base-widget/base-widget.component';
import { SharedModule } from 'primeng/api';
import { CardModule } from 'primeng/card';
import { ProgressSpinnerModule } from 'primeng/progressspinner';
import { TableModule } from 'primeng/table';
import { TranslateModule } from '@ngx-translate/core';
import { SharedComponentsModule } from '@core-project/modules/shared-components/shared-components.module';
import { ScrollPanelModule } from 'primeng/scrollpanel';
import { SelectButtonModule } from 'primeng/selectbutton';
import { FormsModule } from '@angular/forms';

@NgModule({
  declarations: [ProjectsWidgetComponent, WorksWidgetComponent, IssuesWidgetComponent, BaseWidgetComponent],
  exports: [ProjectsWidgetComponent, IssuesWidgetComponent, WorksWidgetComponent],
  imports: [
    CommonModule,
    SharedModule,
    CardModule,
    ProgressSpinnerModule,
    TableModule,
    TranslateModule,
    SharedComponentsModule,
    ScrollPanelModule,
    SelectButtonModule,
    FormsModule,
  ],
})
export class UserWidgetsModule {}
