import { Pipe, PipeTransform } from '@angular/core';
import { getCurrencySymbol } from '@angular/common';
import { HnumberPipe } from '@core-project/pipes/hnumber.pipe';

@Pipe({
  name: 'hcurrency',
})
export class HcurrencyPipe extends HnumberPipe implements PipeTransform {
  // @ts-ignore
  transform(
    n: number | string,
    currencyCode: string,
    extension: string = 'auto',
    digitsInfo: string = '1.1-1',
    nullAsZero: boolean = true,
    zeroAsNull: boolean = false
  ): string {
    const res = super.transform(n, extension, digitsInfo, nullAsZero);
    if (res === null) {
      return null;
    }
    const currency = getCurrencySymbol(currencyCode, 'narrow');

    return res + ' ' + currency;
  }
}
