import { Injectable } from '@angular/core';
import { HttpClient } from '@angular/common/http';
import { saveAs } from 'file-saver';
import { DocumentFile } from 'data-access/sdk/api2';

@Injectable({
  providedIn: 'root',
})
export class FileContainerService {
  constructor(private httpClient: HttpClient) {}

  public downloadFile(file: DocumentFile, name: string = null) {
    if (!name) {
      name = file.original_name;
    }
    name = name + '.' + file.extension;
    saveAs(file.doc_file, name);
  }
}
