export function faviconSetter() {
  const matcher = window.matchMedia('(prefers-color-scheme: dark)');
  const lightSchemeIcon = document.querySelector('#light-scheme-icon');
  const darkSchemeIcon = document.querySelector('#dark-scheme-icon');
  matcher.addEventListener('change', onUpdate);
  onUpdate();

  function onUpdate() {
    if (matcher.matches) {
      lightSchemeIcon.remove();
      document.head.append(darkSchemeIcon);
    } else {
      document.head.append(lightSchemeIcon);
      darkSchemeIcon.remove();
    }
  }
}