# Dashboard widgets

## How to create new widget

Use `demo-widget` as reference.

In the text bellow change `[NAME]` to your name (use pattern: `[unique name (lowercase)]-widget`).

- run `nx g @nx/angular:application --name=[NAME] --directory=apps/dashboard-widgets/[NAME] --e2eTestRunner=playwright --minimal=true --projectNameAndRootFormat=as-provided --setParserOptionsProject=true --style=scss --tags=dashboard-widgets`
- set tag name:
    - use tag pattern: `<dw-[NAME]></dw-[NAME]>`
    - go to `app.module.ts` and add customElements init (example in `app.module.ts` in demo) and:
        - add `ngDoBootstrap` fn (can be empty) to `AppMmodule`
        - delete `bootstrap` section from `AppMmodule`
    - go to `app.component.ts` and change tag
    - go to index.html and change tag
- if you need to add translations:
    - add `PluginAttrService`
    - add `TranslateModule` (example in `app.module.ts` in demo) with `pluginHttpLoaderFactory`
- if you need to add SDK (with auth tokens; LocalStorage used):
    - add `ApiModule` to app (example in `app.module.ts` in demo)
    - add `pluginAuthInterceptorProvider`
- delete `favicon.ico`:
    - `favicon.ico` in assets (`project.json`)
    - usage `favicon.ico` in `index.html`
    - file `favicon.ico` from project directory
- set configuration to `project.json` (see bellow)
- make your code in app

### Set configuration to `project.json`:

Reference in `project.json` (see `demo-widget` config).

#### Assets and styles

`/targets/build/options/assets`
see reference in `project.json`

`/targets/build/options/styles`
see reference in `project.json`

#### Production:

```
    "outputHashing": "none",
    "buildOptimizer": true,
    "optimization": true,
    "vendorChunk": true,
    "extractLicenses": false,
    "sourceMap": false,
    "namedChunks": false
```

#### Development

```
    "buildOptimizer": false,
    "optimization": false,
    "vendorChunk": true,
    "extractLicenses": false,
    "sourceMap": true,
    "namedChunks": true,
    "outputHashing": "all"
```

## How to use

- add `index.js` file to page
    - assets dir, style.css and other files must be in index.js directory
- add angular element tag (added in `main.ts`) to page

# Possible errors

## PrimeNG component cant find BrowserModule (BrowserAnimationsModule)

Angular custom element must not be standalone component. Create module, define component in module, declaration
component in module.

It's PrimeNG problem.

# Roadmap

- [ ] create generator/schematic