import {Component, ElementRef} from '@angular/core';
import * as moment from 'moment/moment';
import {User} from 'data-access/sdk/api2';
import {PluginAttrService} from 'utils/plugins-shared';

@Component({
  selector: 'dw-demo-widget',
  templateUrl: './app.component.html',
  styleUrls: ['./app.component.scss'],
})
export class AppComponent {
  selectedYear: string = this.momentToDbString(moment());
  user: User = {
    'id': 35,
    'email': 'erftftewr@sdrgedrg.cas',
    'first_name': '1234',
    'middle_name': 'sef',
    'last_name': 'aerga',
    'birthday': '2023-09-13',
    'place': 'aergd',
    'avatar': null,
    'department_manager': true,
    'position': 'gar',
    'full_name': '1234 sef aerga',
    'short_name': '1.s. aerga',
    'is_active': true,
    'is_superuser': false,
    'is_staff': false,
  };

  constructor(
    private attrService: PluginAttrService,
    elementRef: ElementRef,
  ) {
    this.attrService.init(elementRef);
  }

  changedYear() {
    console.warn('YEAR', this.selectedYear);
  }

  momentToDbString(date: moment.Moment): string {
    if (date === null || date === undefined) {
      return null;
    }
    return date.format('YYYY-MM-DD');
  }
}
