# Library Types
[Documentation link](https://nx.dev/concepts/more-concepts/library-types#library-types)

There are many types of libraries in a workspace. In order to maintain a certain sense of order, we recommend having a small number of types, such as the below four (4) types of libraries.

## Feature libraries:

Developers should consider feature libraries as libraries that implement smart UI (with access to data sources) for specific business use cases or pages in an application.

## UI libraries:

A UI library contains only presentational components (also called "dumb" components).

## Data-access libraries:

A data-access library contains code for interacting with a back-end system. It also includes all the code related to state management.

## Utility libraries:

A utility library contains low-level utilities used by many libraries and applications.