import {Injectable} from '@angular/core';

import {Comment, CommentsService} from 'data-access/sdk/api2';

import {NewCommentModel} from '../models/comment.model';
import {CommentAdapterService} from './comment-adapter.service';
import {switchMap} from 'rxjs/operators';
import {catchError, throwError} from 'rxjs';

@Injectable({
  providedIn: 'root',
})
export class CommentApiService {
  constructor(
    private readonly commentsService: CommentsService,
    private readonly commentAdapterService: CommentAdapterService,
  ) {
  }

  // mby not working!
  createComment(comment: NewCommentModel) {
    const data: Comment = this.commentAdapterService.reverseToNewModel(comment);

    return this.commentsService.commentsCreate(data)
      .pipe(
         catchError((error) => {
          console.error('Error while creating comment', error);
          // TODO #errorService
          return throwError(() => error);
         }),
        switchMap((commentResponse) => this.commentAdapterService.convert(commentResponse)),
      );
  }
}
