import {Injectable} from '@angular/core';
import {Observable} from 'rxjs';

import {BaseAdapter} from 'utils/shared-services';

import {CompanyCurrencyModel} from '../models/company-currency.model';
import {CompanyCurrencyDTO} from '../models/company-currency.dto';

@Injectable({
  providedIn: 'root',
})
export class CompanyCurrencyAdapterService extends BaseAdapter<CompanyCurrencyModel, CompanyCurrencyDTO> {
  convert(dto: CompanyCurrencyDTO): Observable<CompanyCurrencyModel> {
    const model: CompanyCurrencyModel = {
      id: dto.id ?? this.convertError('Convert error: id is not defined'),
      currency: dto.currency,
      isMain: dto.main ?? false,

      // relation ids
      companyId: dto.company,
    };

    return this.createConvertObservable(model);
  }

  reverse(model: CompanyCurrencyModel): CompanyCurrencyDTO {
    throw new Error('Method not implemented.');
  }

}
