import {Injectable} from '@angular/core';
import {Observable} from 'rxjs';

import {BaseAdapter} from 'utils/shared-services';

import {CompanyIndicatorConstraintModel} from '../models/company-indicator-constraint.model';
import {CompanyIndicatorConstraintDTO} from '../models/company-indicator-constraint.dto';

@Injectable({
  providedIn: 'root',
})
export class CompanyIndicatorConstraintsAdapterService extends BaseAdapter<CompanyIndicatorConstraintModel, CompanyIndicatorConstraintDTO> {
  convert(dto: CompanyIndicatorConstraintDTO): Observable<CompanyIndicatorConstraintModel> {
    const model: CompanyIndicatorConstraintModel = {
      id: dto.id ?? this.convertError('Convert error: id is not defined'),
      budgetDisciplineGteAmber: dto.budget_discipline_gte_amber ?? undefined,
      budgetDisciplineGteRed: dto.budget_discipline_gte_red ?? undefined,
      budgetDisciplineLteAmber: dto.budget_discipline_lte_amber ?? undefined,
      budgetDisciplineLteRed: dto.budget_discipline_lte_red ?? undefined,
      budgetFcGteAmber: dto.budget_fc_gte_amber ?? undefined,
      budgetFcGteRed: dto.budget_fc_gte_red ?? undefined,
      budgetFcLteAmber: dto.budget_fc_lte_amber ?? undefined,
      budgetFcLteRed: dto.budget_fc_lte_red ?? undefined,
      budgetFcPercentGteAmber: dto.budget_fc_percent_gte_amber ?? undefined,
      budgetFcPercentGteRed: dto.budget_fc_percent_gte_red ?? undefined,
      budgetFcPercentLteAmber: dto.budget_fc_percent_lte_amber ?? undefined,
      budgetFcPercentLteRed: dto.budget_fc_percent_lte_red ?? undefined,
      issuesSeverity1GteAmber: dto.issues_severity_1_gte_amber ?? undefined,
      issuesSeverity1GteRed: dto.issues_severity_1_gte_red ?? undefined,
      issuesSeverity2GteAmber: dto.issues_severity_2_gte_amber ?? undefined,
      issuesSeverity2GteRed: dto.issues_severity_2_gte_red ?? undefined,
      issuesSeverity3GteAmber: dto.issues_severity_3_gte_amber ?? undefined,
      issuesSeverity3GteRed: dto.issues_severity_3_gte_red ?? undefined,
      worksMax_DeviationGteAmber: dto.works_max_deviation_gte_amber ?? undefined,
      worksMax_DeviationGteRed: dto.works_max_deviation_gte_red ?? undefined,

      // relation ids
      companyId: dto.company ?? this.convertError('Convert error: company is not defined'),
    };

    return this.createConvertObservable(model);
  }

  reverse(model: CompanyIndicatorConstraintModel): CompanyIndicatorConstraintDTO {
    throw new Error('Method not implemented.');
  }
}
