import {Injectable} from '@angular/core';
import {Observable} from 'rxjs';

import {BaseAdapter} from 'utils/shared-services';

import {CompanyPreferencesModel} from '../models/company-preferences.model';
import {CompanyPreferencesDTO} from '../models/company-preferences.dto';

@Injectable({
  providedIn: 'root',
})
export class CompanyPreferencesAdapterService extends BaseAdapter<CompanyPreferencesModel, CompanyPreferencesDTO> {
  convert(dto: CompanyPreferencesDTO): Observable<CompanyPreferencesModel> {
    const model: CompanyPreferencesModel = {
      id: dto.id ?? this.convertError('Convert error: id is not defined'),
      isAutoBudgetIndicator: dto.auto_budget_indicator ?? false,
      isAutoIssuesIndicator: dto.auto_issues_indicator ?? false,
      isAutoProcurementsIndicator: dto.auto_procurements_indicator ?? false,
      isAutoWorksIndicator: dto.auto_works_indicator ?? false,
      newUserDefaultRoleId: dto.new_user_default_role ?? undefined,

      // relation ids
      companyId: dto.company ?? this.convertError('Convert error: company is not defined'),
    };

    return this.createConvertObservable(model);
  }

  reverse(model: CompanyPreferencesModel): CompanyPreferencesDTO {
    throw new Error('Method not implemented.');
  }
}
