import {TelephoneModel} from '../../telephones';
import {EmailModel} from '../../emails';

export interface ContactModelRelations {
  // ids
  emailsIds: number[];
  telephonesIds: number[];
  organizationId: number;

  // models
  emails: EmailModel[];
  telephones: TelephoneModel[];
}

export interface ContactModel extends ContactModelRelations {
  id: number;
  comment?: string;
  firstName: string;
  fullName?: string;
  lastName?: string;
  middleName?: string;
  organizationName?: string;
  photo?: string;
  position?: string;
  shortName?: string;
}
