import {Injectable} from '@angular/core';

import {BaseAdapter} from 'utils/shared-services';

import {DashboardPluginModel} from '../models/dashboard-plugin.model';
import {IDashboardPluginDTO} from '../models/dashboard-plugin.dto';


@Injectable({
  providedIn: 'root',
})
export class DashboardPluginAdapterService extends BaseAdapter<DashboardPluginModel, IDashboardPluginDTO> {
  convert(dto: IDashboardPluginDTO) {
    const model: DashboardPluginModel = {
      id: dto.id ?? this.convertError('Convert error: id is not defined'),
      name: dto.name ?? this.convertError('Convert error: name is not defined'),
      isEnabled: dto.enabled ?? false,
      tag: dto.tag_name ?? this.convertError('Convert error: tag is not defined'),
      order: dto.order ?? 0,
      indexFileUrl: dto.index_file_url ?? this.convertError('Convert error: indexFileUrl is not defined'),
      icon: dto.icon ?? 'fa-regular fa-puzzle-piece-simple',
      color: dto.color ?? 'black',
    };

    return this.createConvertObservable(model);
  }

  reverse(model: DashboardPluginModel): IDashboardPluginDTO {
    console.error(model);
    throw new Error('Method not implemented.');
  }
}
