import {Injectable} from '@angular/core';
import {Observable} from 'rxjs';

import {BaseAdapter} from 'utils/shared-services';

import {DepartmentBaseModel} from '../../departments';
import {DepartmentBaseDTO} from '../models/department-base.dto';

@Injectable({
  providedIn: 'root',
})
export class DepartmentBaseAdapterService extends BaseAdapter<DepartmentBaseModel, DepartmentBaseDTO> {
  convert(dto: DepartmentBaseDTO): Observable<DepartmentBaseModel> {
    const model: DepartmentBaseModel = {
      id: dto.id ?? this.convertError('Convert error: id is not defined'),
      description: dto.description ?? undefined,
      level: dto.level ?? undefined,
      name: dto.name ?? this.convertError('Convert error: name is not defined'),

      // relation ids
      companyId: dto.company ?? this.convertError('Convert error: company is not defined'),
    };

    return this.createConvertObservable(model);
  }

  reverse(model: DepartmentBaseModel): DepartmentBaseDTO {
    throw new Error('Method not implemented.');
  }
}
