import {Injectable} from '@angular/core';
import {Observable} from 'rxjs';

import {BaseAdapter} from 'utils/shared-services';

import {EmailModel} from '../models/email.model';
import {EmailDTO} from '../models/email.dto';

@Injectable({
  providedIn: 'root'
})
export class EmailAdapterService extends BaseAdapter<EmailModel, EmailDTO> {
  convert(dto: EmailDTO): Observable<EmailModel> {
    const model: EmailModel = {
      id: dto.id ?? this.convertError('Convert error: id is not defined'),
      comment: dto.comment ?? undefined,
      email: dto.email ?? this.convertError('Convert error: email is not defined'),
      isPrimary: dto.primary ?? false,

      // relation ids
      contactId: dto.contact ?? undefined,
      organizationId: dto.organization ?? undefined,
    };

    return this.createConvertObservable(model);
  }

  reverse(model: EmailModel): EmailDTO {
    throw new Error('Method not implemented.');
  }
}
