import {Injectable} from '@angular/core';
import {Observable} from 'rxjs';

import {BaseAdapter} from 'utils/shared-services';

import {BudgetCategoryModel} from '../models/budget-category.model';
import {BudgetCategoryDTO} from '../models/budget-category.dto';

@Injectable({
  providedIn: 'root',
})
export class BudgetCategoryAdapterService extends BaseAdapter<BudgetCategoryModel, BudgetCategoryDTO> {
  convert(dto: BudgetCategoryDTO): Observable<BudgetCategoryModel> {
    const model: BudgetCategoryModel = {
      id: dto.id ?? this.convertError('Convert error: id is not defined'),
      name: dto.name ?? this.convertError('Convert error: name is not defined'),
      order: dto.order ?? 0,

      // relation ids
      budgetTypesIds: dto.budget_types ?? [],
      companyId: dto.company ?? this.convertError('Convert error: company is not defined'),
    };

    return this.createConvertObservable(model);
  }

  reverse(model: BudgetCategoryModel): BudgetCategoryDTO {
    throw new Error('Method not implemented.');
  }
}
