import {Injectable} from '@angular/core';
import {Observable} from 'rxjs';

import {BaseAdapter} from 'utils/shared-services';

import {BudgetStatsModel} from '../models/budget-stats.model';
import {BudgetStatsDTO} from '../models/budget-stats.dto';

@Injectable({
  providedIn: 'root',
})
export class BudgetStatsAdapterService extends BaseAdapter<BudgetStatsModel, BudgetStatsDTO> {
  convert(dto: BudgetStatsDTO): Observable<BudgetStatsModel> {
    const model: BudgetStatsModel = {
      currentFactAndFc: dto.current_fact_and_fc ?? undefined,
      currentFactAndFcOverplan: dto.current_fact_and_fc_overplan ?? undefined,
      currentFactAndFcOverplanPercent: dto.current_fact_and_fc_overplan_percent ?? undefined,
      currentFactAndFcPercent: dto.current_fact_and_fc_percent ?? undefined,
      discipline: dto.discipline ?? undefined,
      fact: dto.fact ?? undefined,
      factPercent: dto.fact_percent ?? undefined,
      forecast: dto.forecast ?? undefined,
      plan: dto.plan ?? undefined,
      planFactRemaining: dto.plan_fact_remaining ?? undefined,
      planFactRemainingPercent: dto.plan_fact_remaining_percent ?? undefined,
      planPercent: dto.plan_percent ?? undefined,
      totalOverplan: dto.total_overplan ?? undefined,
      totalOverplanPercent: dto.total_overplan_percent ?? undefined,
    };

    return this.createConvertObservable(model);
  }

  reverse(model: BudgetStatsModel): BudgetStatsDTO {
    throw new Error('Method not implemented.');
  }
}
