import {Injectable} from '@angular/core';

import {BaseAdapter} from 'utils/shared-services';
import {Observable} from 'rxjs';

import {ContentTypeDTO} from '../models/content-type.dto';
import {ContentTypeModel} from '../models/content-type.model';

@Injectable({
  providedIn: 'root',
})
export class ContentTypeAdapterService extends BaseAdapter<ContentTypeModel, ContentTypeDTO> {
  convert(dto: ContentTypeDTO): Observable<ContentTypeModel> {
    const model: ContentTypeModel = {
      id: dto.id ?? this.convertError('Convert error: id is not defined'),
      appLabel: dto.app_label ?? this.convertError('Convert error: app_label is not defined'),
      model: dto.model ?? this.convertError('Convert error: model is not defined'),
    };

    return this.createConvertObservable(model);
  }

  reverse(model: ContentTypeModel): ContentTypeDTO {
    throw new Error('Method not implemented.');
  }
}
