import {IssueStatusEnum} from './issue-status.enum';
import {UserBaseModel, UserModel} from '../../users';
import {IssueDomainModel} from './issue-domain.model';
import {CommentModel} from '../../comments';
import {ProjectModel} from '../../projects';
import {WorkModel} from '../../works';
import {IssueBaseModel} from './issue-base.model';

interface RelationshipModelIds {
  authorId?: number;
  commentIds: number[];
  domainIds: number[];
  parentWorkId?: number;
  projectId?: number;
  responsibleId?: number;
  userIds: number[];
  workIds: number[];
}

interface RelationshipModels {
  author?: UserModel;
  comments: CommentModel[];
  domains: IssueDomainModel[];
  parentWork?: WorkModel;
  project?: ProjectModel;
  responsible?: UserModel;
  users: UserBaseModel[];
  works: WorkModel[];
}

export interface IssueModel extends RelationshipModels, RelationshipModelIds, IssueBaseModel {
}

export type NewIssueModel = Omit<IssueModel, 'id' | 'createdAt' | 'order' | keyof RelationshipModels>;
