import {Injectable} from '@angular/core';
import {Observable} from 'rxjs';

import {BaseAdapter} from 'utils/shared-services';

import {IssueDomainDTO} from '../models/issue-domain.dto';
import {IssueDomainModel} from '../models/issue-domain.model';

@Injectable({
  providedIn: 'root',
})
export class IssueDomainAdapterService extends BaseAdapter<IssueDomainModel, IssueDomainDTO> {
  constructor() {
    super();
  }

  convert(dto: IssueDomainDTO): Observable<IssueDomainModel> {
    const model: IssueDomainModel = {
      id: dto.id ?? this.convertError('Convert error: id is not defined'),
      color: dto.color ?? undefined,
      name: dto.name ?? this.convertError('Convert error: name is not defined'),
      order: dto.order ?? 0,

      // relation ids
      companyId: dto.company ?? this.convertError('Convert error: company is not defined'),
    };

    return this.createConvertObservable(model);
  }

  reverse(model: IssueDomainModel): IssueDomainDTO {
    throw new Error('Method not implemented.');
  }
}
