import {NotificationTypeEnum} from './notification-type.enum';
import {NotificationSeverityEnum} from './notification-severity.enum';
import {TranslateParamsModel} from '../../shared';

interface NotificationModelRelations {
  // ids
  recipientId: number;
}

export interface NotificationModel extends NotificationModelRelations {
  id: number;
  isUnread: boolean;
  timestamp: number;
  severity: NotificationSeverityEnum;
  nameTemplate: string;
  nameParams?: TranslateParamsModel;
  descriptionTemplate: string;
  descriptionParams?: TranslateParamsModel;
  urlType?: NotificationTypeEnum;
  urlParams?: TranslateParamsModel; // like translate params
}

export type NewNotificationModel = Omit<NotificationModel, 'id' | 'timestamp' | 'isUnread'>;
