import {EmailModel} from '../../emails';
import {CompanyModel} from '../../companies';
import {TelephoneModel} from '../../telephones';
import {ContactModel} from '../../contacts';

interface PartnerModelRelations {
  // ids
  companyId: number;
  contactsIds: number[];
  emailsIds: number[];
  telephonesIds: number[];

  // models
  company?: CompanyModel;
  contacts: ContactModel[];
  emails: EmailModel[];
  telephones: TelephoneModel[];
}

export interface PartnerModel extends PartnerModelRelations {
  id: number;
  details?: string;
  fullName?: string;
  legalAddress?: string;
  name: string;
  postalAddress?: string;
}
