import {Injectable} from '@angular/core';

import {BaseAdapter} from 'utils/shared-services';

import {IPluginDTO} from '../models/plugin.dto';
import {PluginModel} from '../models/plugin.model';

@Injectable({
  providedIn: 'root',
})
export class PluginAdapterService extends BaseAdapter<PluginModel, IPluginDTO> {
  convert(dto: IPluginDTO) {
    const model: PluginModel = {
      id: dto.id ?? this.convertError('Convert error: id is not defined'),
      name: dto.name ?? this.convertError('Convert error: name is not defined'),
      isEnabled: dto.enabled ?? false,
      tag: dto.tag_name ?? this.convertError('Convert error: tag is not defined'),
      order: dto.order ?? 0,
      indexFileUrl: dto.index_file_url ?? this.convertError('Convert error: indexFileUrl is not defined'),
      icon: dto.icon ?? 'fa-regular fa-puzzle-piece-simple',
      color: dto.color ?? 'black',
    };

    return this.createConvertObservable(model);
  }

  reverse(model: PluginModel): IPluginDTO {
    throw new Error('Method not implemented.');
  }
}
