import {MemberTypeEnum} from './member-type.enum';
import {DepartmentModel} from '../../departments';
import {PartnerModel} from '../../organisations';
import {UserModel} from '../../users';

interface ProjectMemberModelRelations {
  // ids
  departmentId?: number;
  organizationId?: number;
  projectId: number;
  userId?: number;

  // models
  department?: DepartmentModel;
  organization?: PartnerModel;
  user?: UserModel;
}

export interface ProjectMemberModel extends ProjectMemberModelRelations {
  id: number;
  comment?: string;
  createdAt?: string;
  memberType: MemberTypeEnum;
  objectName?: string;
  order: number;
  updatedAt?: string;
}
