import {ProjectMetaDataTypeEnum} from './project-meta-data-type.enum';
import {UserModel} from '../../users';
import {ProjectTypeModel} from './project-type.model';

interface ProjectMetaModelRelations {
  // ids
  companyId: number;
  groupId?: number;
  ownerId?: number;
  projectTypesIds: number[];

  // models
  owner?: UserModel;
  projectTypes: ProjectTypeModel[];
}

export interface ProjectMetaModel extends ProjectMetaModelRelations {
  id: number;
  isAllTypes: boolean;
  choices?: string[];
  created?: string;
  dataType?: ProjectMetaDataTypeEnum;
  description?: string;
  name: string;
  order: number;
  postfix?: string;
  prefix?: string;
  isPublic: boolean;
  unit?: string;
}
