import {ProjectMetaValue} from 'data-access/sdk/api2';
import {ProjectStatusEnum} from './project-status.enum';
import {StageModel} from '../../stages';
import {ProjectMemberModel} from './project-member.model';
import {UserRoleModel} from '../../roles';
import {ProjectTypeBaseModel} from './project-type-base.model';
import {ProjectGroupBaseModel} from './project-group-base.model';
import {ProjectBudgetTypeModel} from '../../finances/models/project-budget-type.model';
import {ProjectBudgetModel} from '../../finances/models/project-budget.model';
import {ProjectMetaValueModel} from './project-meta-value.model';

interface ProjectModelRelations {
  // ids
  memberIds: number[];
  metaIds: number[];
  projectBudgetId?: number;
  projectBudgetTypeIds: number[];
  projectGroupId: number;
  projectTypeId: number;
  stageId: number;
  usersRolesIds: number[];

  // models
  members: ProjectMemberModel[];
  metas: ProjectMetaValueModel[];
  projectBudget?: ProjectBudgetModel;
  projectBudgetTypes: ProjectBudgetTypeModel[];
  projectGroup?: ProjectGroupBaseModel;
  projectType?: ProjectTypeBaseModel;
  stage?: StageModel;
  usersRoles: UserRoleModel[];
}

export interface ProjectModel extends ProjectModelRelations {
  id: number;
  abbr: string;
  name: string;
  status?: ProjectStatusEnum;
  workPlan?: string;
}
