import {Injectable} from '@angular/core';
import {Observable} from 'rxjs';

import {BaseAdapter} from 'utils/shared-services';

import {ProjectGroupBaseModel} from '../models/project-group-base.model';
import {ProjectGroupBaseDTO} from '../models/project-group-base.dto';

@Injectable({
  providedIn: 'root',
})
export class ProjectGroupBaseAdapterService extends BaseAdapter<ProjectGroupBaseModel, ProjectGroupBaseDTO> {
  convert(dto: ProjectGroupBaseDTO): Observable<ProjectGroupBaseModel> {
    const model: ProjectGroupBaseModel = {
      id: dto.id ?? this.convertError('Convert error: id is not defined'),
      level: dto.level ?? undefined,
      name: dto.name ?? this.convertError('Convert error: name is not defined'),
    };

    return this.createConvertObservable(model);
  }

  reverse(model: ProjectGroupBaseModel): ProjectGroupBaseDTO {
    throw new Error('Method not implemented.');
  }
}
