import {Injectable} from '@angular/core';
import {Observable} from 'rxjs';

import {BaseAdapter} from 'utils/shared-services';

import {ProjectTypeBaseModel} from '../models/project-type-base.model';
import {ProjectTypeBaseDTO} from '../models/project-type-base.dto';

@Injectable({
  providedIn: 'root',
})

export class ProjectTypeBaseAdapterService extends BaseAdapter<ProjectTypeBaseModel, ProjectTypeBaseDTO> {
  convert(dto: ProjectTypeBaseDTO): Observable<ProjectTypeBaseModel> {
    const model: ProjectTypeBaseModel = {
      id: dto.id ?? this.convertError('Convert error: id is not defined'),
      about: dto.about ?? undefined,
      fullName: dto.full_name ?? undefined,
      name: dto.name ?? this.convertError('Convert error: name is not defined'),
    };

    return this.createConvertObservable(model);
  }

  reverse(model: ProjectTypeBaseModel): ProjectTypeBaseDTO {
    throw new Error('Method not implemented.');
  }
}
