import {Injectable} from '@angular/core';
import {Observable} from 'rxjs';

import {BaseAdapter} from 'utils/shared-services';

import {RoleBaseModel} from '../models/role-base.model';
import {RoleBaseDto} from '../models/role-base.dto';

@Injectable({
  providedIn: 'root',
})
export class RoleBaseAdapterService extends BaseAdapter<RoleBaseModel, RoleBaseDto> {
  convert(dto: RoleBaseDto): Observable<RoleBaseModel> {
    const model: RoleBaseModel = {
      id: dto.id ?? this.convertError('Convert error: id is not defined'),
      isAllPermissions: dto.all_permissions ?? false,
      isCompany: dto.company ?? false,
      isGlob: dto.glob ?? false,
      isImportant: dto.important ?? false,
      isProject: dto.project ?? false,
      isProjectGroup: dto.project_group ?? false,
      name: dto.name ?? this.convertError('Convert error: name is not defined'),
    };

    return this.createConvertObservable(model);
  }

  reverse(model: RoleBaseModel): RoleBaseDto {
    throw new Error('Method not implemented.');
  }
}
