import {Injectable} from '@angular/core';
import {PluginModel} from '../../plugins-loader';

@Injectable({
  providedIn: 'root',
})
export class PluginsOrderService {
  reIndexOrder(plugins: PluginModel[]) {
    return plugins.map((plugin, index: number) => {
      plugin.order = index + 1;
      return plugin;
    });
  }

  sort(plugins: PluginModel[]) {
    return plugins
      .sort((a, b) => a.order - b.order)
      .sort((a, b) => {
        const aOrder = Number(a.isEnabled);
        const bOrder = Number(b.isEnabled);
        return bOrder - aOrder;
      });
  }
}
