import {Injectable} from '@angular/core';
import {Observable} from 'rxjs';

import {BaseAdapter} from 'utils/shared-services';

import {StageDTO, StageModel} from '../models';

@Injectable({
  providedIn: 'root',
})
export class StageAdapterService extends BaseAdapter<StageModel, StageDTO> {
  convert(dto: StageDTO): Observable<StageModel> {
    const model: StageModel = {
      id: dto.id ?? this.convertError('Convert error: id is not defined'),
      name: dto.name ?? this.convertError('Convert error: name is not defined'),
      status: dto.status ?? this.convertError('Convert error: status is not defined'),
      order: dto.order ?? 0,
      oldName: dto.old_name ?? undefined,

      // relation ids
      companyId: dto.company ?? undefined,
    };

    return this.createConvertObservable(model);
  }

  reverse(model: StageModel): StageDTO {
    return {
      id: model.id,
      company: model.companyId,
      name: model.name,
      status: model.status,
      order: model.order,
      old_name: model.oldName,
    };
  }
}
