import {Injectable} from '@angular/core';
import {Observable} from 'rxjs';

import {BaseAdapter} from 'utils/shared-services';

import {TelephoneModel} from '../models/telephone.model';
import {TelephoneDTO} from '../models/telephone.dto';

@Injectable({
  providedIn: 'root',
})
export class TelephoneAdapterService extends BaseAdapter<TelephoneModel, TelephoneDTO> {
  convert(dto: TelephoneDTO): Observable<TelephoneModel> {
    const model: TelephoneModel = {
      id: dto.id ?? this.convertError('Convert error: id is not defined'),
      comment: dto.comment ?? undefined,
      isPrimary: dto.primary ?? false,
      isTelegram: dto.telegram ?? false,
      isWhatsapp: dto.whatsapp ?? false,
      number: dto.number ?? this.convertError('Convert error: number is not defined'),

      // relation ids
      contactId: dto.contact ?? undefined,
      organizationId: dto.organization ?? undefined,
      userId: dto.user ?? undefined,
    };

    return this.createConvertObservable(model);
  }

  reverse(model: TelephoneModel): TelephoneDTO {
    throw new Error('Method not implemented.');
  }

}
