import {Injectable} from '@angular/core';
import {Observable} from 'rxjs';

import {BaseAdapter} from 'utils/shared-services';

import {UserBaseDTO} from '../models/user-base.dto';
import {UserBaseModel} from '../models/user-base.model';

@Injectable({
  providedIn: 'root',
})
export class UserBaseAdapterService extends BaseAdapter<UserBaseModel, UserBaseDTO> {
  convert(dto: UserBaseDTO): Observable<UserBaseModel> {
    const model: UserBaseModel = {
      id: dto.id ?? this.convertError('Convert error: id is not defined'),
      avatar: dto.avatar ?? undefined,
      birthday: dto.birthday ?? undefined,
      email: dto.email ?? this.convertError('Convert error: email is not defined'),
      firstName: dto.first_name ?? undefined,
      fullName: dto.full_name ?? undefined,
      isActive: dto.is_active ?? false,
      isDepartmentManager: dto.department_manager ?? false,
      isStaff: dto.is_staff ?? false,
      isSuperuser: dto.is_superuser ?? false,
      lastName: dto.last_name ?? undefined,
      middleName: dto.middle_name ?? undefined,
      place: dto.place ?? undefined,
      position: dto.position ?? undefined,
      shortName: dto.short_name ?? undefined,
    };

    return this.createConvertObservable(model);
  }

  reverse(model: UserBaseModel): UserBaseDTO {
    throw new Error('Method not implemented.');
  }
}
