import {WorkStatusEnum} from './work-status.enum';
import {WorkTypeEnum} from './work-type.enum';
import {DepartmentBaseModel} from '../../departments';
import {UserBaseModel} from '../../users';

interface WorkBaseRelations {
  // ids
  toDepartmentId?: number;
  toUserId?: number;

  // models
  toDepartment?: DepartmentBaseModel;
  toUser?: UserBaseModel;
}

export interface WorkBaseModel extends WorkBaseRelations {
  id: number;
  createdAt?: string;
  deadline?: string;
  description?: string;
  endBase?: string;
  endDiff?: number;
  endEff?: string;
  endFact?: string;
  endHint?: string;
  endVal?: string;
  milestoneLevel?: number;
  name: string;
  overdue: boolean;
  priority?: number;
  projectName?: string;
  result?: string;
  startBase?: string;
  startDiff?: number;
  startEff?: string;
  startFact?: string;
  status: WorkStatusEnum;
  workType?: WorkTypeEnum;
}
