import {CommentModel} from '../../comments';
import {UserBaseModel} from '../../users';
import {StageModel} from '../../stages';
import {ProjectModel} from '../../projects';
import {WorkBaseModel} from './work-base.model';
import {IssueBaseModel, IssueModel} from '../../issues';

interface WorkModelRelationsIds {
  commentIds: number[];
  companyId?: number;
  createdById?: number;
  documentsIds?: number[];
  doneById?: number;
  groupId?: number;
  issuesIds: number[];
  milestoneStageId?: number;
  parentWorkId?: number;
  parentIssueId?: number;
  projectId?: number;
  subWorkIds: number[];
  templateWorkId?: number;
  valById?: number;
  valUserId?: number;
  workIds: number[];
}

interface WorkModelRelations {
  comments: CommentModel[];
  createdBy?: UserBaseModel;
  doneBy?: UserBaseModel;
  group?: WorkBaseModel;
  issues: IssueBaseModel[];
  milestoneStage?: StageModel;
  parentWork?: WorkBaseModel;
  parentIssue?: IssueBaseModel;
  project?: ProjectModel;
  subworks: WorkBaseModel[];
  valBy?: UserBaseModel;
  valUser?: UserBaseModel;
}

export interface WorkModel extends WorkModelRelations, WorkModelRelationsIds, WorkBaseModel {
  isApproved: boolean;
  order: number;
}

export type NewWorkModel = Pick<WorkModel, 'name' | 'toUserId' | 'toDepartmentId' | 'endBase'>
  & Omit<Partial<WorkModel>, 'id'>;
