import { Selector } from '@ngxs/store';

import { GLOBAL_STATE_TOKEN } from './global.state';
import { GlobalStateModel } from './global-state.model';

export class GlobalSelectors {
  @Selector([GLOBAL_STATE_TOKEN])
  static userId({ user }: GlobalStateModel) {
    return user?.id;
  }

  @Selector([GLOBAL_STATE_TOKEN])
  static selfAvatarLink({ user }: GlobalStateModel) {
    return user?.avatar;
  }

  @Selector([GLOBAL_STATE_TOKEN])
  static appTitle({ appTitle }: GlobalStateModel) {
    return appTitle;
  }

  @Selector([GLOBAL_STATE_TOKEN])
  static topMenuItems({ topMenuItems }: GlobalStateModel) {
    return topMenuItems;
  }

  @Selector([GLOBAL_STATE_TOKEN])
  static hasSidebarMenuItems({ topMenuItems }: GlobalStateModel) {
    return topMenuItems && topMenuItems.length > 0;
  }
}
