import { CommentModel, IssueModel, NewIssueModel } from 'data-access/sdk/internal-api';

export namespace IssuesActions {
  export class ShowCreateIssueInSidebar {
    static readonly type = '[Issues] Show create issue in sidebar';

    constructor(
      readonly projectId?: IssueModel['projectId'],
      readonly parentWorkId?: IssueModel['parentWorkId'],
      readonly authorId?: IssueModel['authorId']
    ) {}
  }

  export class RefreshIssue {
    static readonly type = '[Issues] Refresh issue';

    constructor(readonly id: IssueModel['id']) {}
  }

  export class ShowIssueInSidebar {
    static readonly type = '[Issues] Show issue in sidebar';

    constructor(readonly id: IssueModel['id']) {}
  }

  export class ReadIssueHistory {
    static readonly type = '[Issues] Read issue history';

    constructor(readonly id: IssueModel['id']) {}
  }

  export class ReadPermissions {
    static readonly type = '[Issues] Read permissions';

    constructor(readonly issueId: number) {}
  }

  export class ReadIssue {
    static readonly type = '[Issues] Read issue';

    constructor(readonly id: IssueModel['id']) {}
  }

  export class OpenWork {
    static readonly type = '[Issues] Open work';

    constructor(readonly workId: number) {}
  }

  export class ReadFieldsOptions {
    static readonly type = '[Issues] Read fields options';
  }

  export class CreateIssue {
    static readonly type = '[Issues] Create issue';

    constructor(readonly issue: NewIssueModel) {}
  }

  export class UpdateIssue {
    static readonly type = '[Issues] Update issue';

    constructor(readonly issue: IssueModel) {}
  }

  export class ChangeStatus {
    static readonly type = '[Issues] On change status';

    constructor(readonly status: IssueModel['status']) {}
  }

  export class OpenCreateWorkModal<R = any> {
    static readonly type = '[Issues] Open create task modal';
  }

  export class CreateComment {
    static readonly type = '[Issues] Create comment';

    constructor(readonly text: string, readonly replyToId?: CommentModel['replyToId']) {}
  }

  export class DeleteIssue {
    static readonly type = '[Issues] Delete issue';

    constructor(readonly id: IssueModel['id']) {}
  }

  export class DestroyState {
    static readonly type = '[Issues] Destroy issue state';
  }

  export class UpdateLinksView {
    static readonly type = '[Issues] Update issue links view';

    constructor(readonly issue: IssueModel) {}
  }
}
