import {Selector} from '@ngxs/store';
import {IssuesStateModel} from './issues-state.model';
import {ISSUES_STATE_TOKEN} from './issue-state.token.ts';

export class IssuesSelectors {
  @Selector([ISSUES_STATE_TOKEN])
  static issue({issue}: IssuesStateModel) {
    return issue;
  }

  @Selector([ISSUES_STATE_TOKEN])
  static issueDomainsOptions({issueDomainsOptions}: IssuesStateModel) {
    return issueDomainsOptions;
  }

  @Selector([ISSUES_STATE_TOKEN])
  static usersOptions({usersOptions}: IssuesStateModel) {
    return usersOptions;
  }

  @Selector([ISSUES_STATE_TOKEN])
  static comments({issue}: IssuesStateModel) {
    return issue?.comments || [];
  }

  @Selector([ISSUES_STATE_TOKEN])
  static projectsOptions({projectsOptions}: IssuesStateModel) {
    return projectsOptions;
  }

  @Selector([ISSUES_STATE_TOKEN])
  static isCommentsLoading({isCommentsLoading, isIssueLoading}: IssuesStateModel) {
    return isIssueLoading || isCommentsLoading;
  }

  @Selector([ISSUES_STATE_TOKEN])
  static isIssueLoading({isIssueLoading, isOptionsLoading}: IssuesStateModel) {
    return isIssueLoading || isOptionsLoading;
  }

  @Selector([ISSUES_STATE_TOKEN])
  static issueHistory({issueHistory}: IssuesStateModel) {
    return issueHistory;
  }

  @Selector([ISSUES_STATE_TOKEN])
  static canUpdate({canUpdate}: IssuesStateModel) {
    return canUpdate;
  }

  @Selector([ISSUES_STATE_TOKEN])
  static canDelete({canDelete}: IssuesStateModel) {
    return canDelete;
  }

  @Selector([ISSUES_STATE_TOKEN])
  static canCreateComment({canCreateComment}: IssuesStateModel) {
    return canCreateComment;
  }

  @Selector([ISSUES_STATE_TOKEN])
  static canCreateWork({canCreateWork}: IssuesStateModel) {
    return canCreateWork;
  }

  @Selector([ISSUES_STATE_TOKEN])
  static links({links}: IssuesStateModel) {
    return links;
  }
}
