import {NewNotificationModel, NotificationModel} from 'data-access/sdk/internal-api';

import {NOTIFICATION_PAGE_SIZE} from './notifications.constants';

export namespace NotificationsActions {
  export class AddToQueue {
    static readonly type = '[Notifications] Add to queue';

    constructor(public payload: NotificationModel | NotificationModel[]) {
    }
  }

  export class MarkAllAsRead {
    static readonly type = '[Notifications] Mark all notifications as read';
  }

  export class ClearQueue {
    static readonly type = '[Notifications] Clear queue';
  }

  export class GetNotifications {
    static readonly type = '[Notifications] Get notifications';

    constructor(public pageIndex = 0, public pageSize = NOTIFICATION_PAGE_SIZE) {
    }
  }

  export class MarkAsRead {
    static readonly type = '[Notifications] Read';

    constructor(public id: NotificationModel['id']) {
    }
  }

  export class GetNewNotificationsCount {
    static readonly type = '[Notifications] Get new notifications count';
  }

  export class ShowEntity {
    static readonly type = '[Notifications] Show entity';

    constructor(public notification: NotificationModel) {
    }
  }

  export class SendDebugNotification {
    static readonly type = '[Notifications] Send debug notification';

    constructor(public notification: NewNotificationModel) {
    }
  }
}
