import {Selector} from '@ngxs/store';
import {NotificationsStateModel, stateToken} from './notifications-state.model';

export class NotificationsSelectors {
  @Selector([stateToken])
  static notificationsQueue(state: NotificationsStateModel) {
    return state.queue;
  }

  @Selector([stateToken])
  static notifications(state: NotificationsStateModel) {
    return state.notifications;
  }

  @Selector([stateToken])
  static notificationsCount(state: NotificationsStateModel) {
    return state.notifications.length;
  }

  @Selector([stateToken])
  static unreadNotificationsNumber(state: NotificationsStateModel) {
    return state.unreadNotificationsCount;
  }

  @Selector([stateToken])
  static hasUnreadNotifications(state: NotificationsStateModel) {
    return state.notifications.some(notification => notification.isUnread);
  }
}
