import {NewPluginInterface, PluginModel} from 'data-access/sdk/internal-api';

export namespace PluginsLoaderActions {
  export class ReadList {
    static readonly type: string = '[PluginsActions] Read plugins list.';
  }

  export class UpdateList {
    static readonly type: string = '[PluginsActions] Update plugins list.';

    constructor(public plugins: PluginModel[]) {}
  }

  export class Create {
    static readonly type: string = '[PluginsActions] Create plugin.';

    constructor(public plugin: NewPluginInterface) {}
  }

  export class Delete {
    static readonly type: string = '[PluginsActions] Delete plugin.';

    constructor(public id: number) {}
  }

  export class Update {
    static readonly type: string = '[PluginsActions] Update plugin.';

    constructor(public plugin: PluginModel) {}
  }

  export class ChangePluginStatus {
    static readonly type: string = '[PluginsActions] Change plugin status.';

    constructor(public plugin: PluginModel) {}
  }

  export class OpenEditModal {
    // need subscribe!
    static readonly type: string = '[PluginsActions] Open edit modal.';

    constructor(public id: number) {}
  }

  export class CloseEditModal {
    static readonly type: string = '[PluginsActions] Close edit modal.';
  }
}
