import { ProjectTypeStageModel } from 'data-access/sdk/internal-api';
import { ProjectType } from 'data-access/sdk/api2';
import { StageModel } from 'data-access/sdk/internal-api';

export namespace ProjectStagesAction {
  export class ReadProjectStages {
    static readonly type: string = '[ProjectStagesAction] Read project stages.';

    constructor(public projectTypeId: ProjectType['id']) {}
  }

  export class UpdateProjectStages {
    static readonly type: string = '[ProjectStagesAction] Update project stages list.';

    constructor(public stages: StageModel[]) {}
  }

  export class DeleteProjectStage {
    static readonly type: string = '[ProjectStagesAction] Remove project stage.';

    constructor(public id: StageModel['id'], public replaceWithStage: StageModel['id']) {}
  }

  export class CreateProjectStage {
    static readonly type: string = '[ProjectStagesAction] Add project stage.';

    constructor(public projectTypeId: ProjectTypeStageModel['projectTypeId'], public projectStageId: ProjectTypeStageModel['stageId']) {}
  }
}
