import { RouterNavigation } from '@ngxs/router-plugin';

import { SidebarComponentElementModel } from './models/sidebar-component-element.model';
import { SidebarHeaderActionModel } from './models/sidebar-action.model';
import { RightSidebarStateModel } from './right-sidebar-state.model';

export namespace RightSidebarActions {
  export class Open {
    static readonly type: string = '[GlobalActions] Open right sidepanel.';

    constructor(public component?: SidebarComponentElementModel, public canDeactivateFn?: RightSidebarStateModel['canDeactivateFn']) {}
  }

  export class Close {
    static readonly type: string = '[GlobalActions] Close right sidepanel.';

    constructor(public manualHide: boolean = false) {}
  }

  export class SetHeader {
    static readonly type: string = '[GlobalActions] Set header.';

    constructor(
      public title: string,
      public actions: SidebarHeaderActionModel[] = [],
      public canDeactivateFn?: RightSidebarStateModel['canDeactivateFn'],
      public customHeaderStatus: boolean = false
    ) {}
  }

  export class SetComponent {
    static readonly type: string = '[GlobalActions] Set component.';
  }

  export class CheckOutlet {
    static readonly type: string = '[GlobalActions] Check outlet.';

    constructor(public action: RouterNavigation) {}
  }

  export class UpdateBlockUI {
    static readonly type: string = '[GlobalActions] Update block UI.';

    constructor(public isBlocked: boolean) {}
  }
}
