import { StageModel } from 'data-access/sdk/internal-api';

export namespace StagesAction {
  export class ReadStagesList {
    static readonly type: string = '[StagesAction] Read stages list.';
  }

  export class UpdateStagesList {
    static readonly type: string = '[StagesAction] Update stages list.';

    constructor(public stages: StageModel[]) {}
  }

  export class CreateStage {
    static readonly type: string = '[StagesAction] Create stage.';

    constructor(public stage: Pick<StageModel, 'name' | 'status'>) {}
  }

  export class DeleteStage {
    static readonly type: string = '[StagesAction] Delete stage.';

    constructor(public id: StageModel['id'], public replaceWithStage: StageModel['id']) {}
  }

  export class UpdateStage {
    static readonly type: string = '[StagesAction] Update stage.';

    constructor(public stage: StageModel) {}
  }

  export class OpenEditModal {
    // need subscribe!
    static readonly type: string = '[StagesAction] Open edit modal.';

    constructor(public id: number) {}
  }

  export class CloseEditModal {
    static readonly type: string = '[StagesAction] Close edit modal.';
  }
}
