import { CommentModel, NewWorkModel, WorkModel, WorkStatusEnum } from 'data-access/sdk/internal-api';

export namespace WorksActions {
  export class ShowCreateWorkInSidebar {
    static readonly type = '[Works] Show create work in sidebar';

    constructor(
      readonly params: {
        endBase?: string;
        parentIssueId?: string;
        parentWorkId?: string;
        projectId?: string;
        startBase?: string;
        status?: string;
        toDepartmentId?: string;
        toUserId?: string;
        valUserId?: string;
      }
    ) {}
  }

  export class RefreshWork {
    static readonly type = '[Works] Refresh work';

    constructor(readonly id: WorkModel['id']) {}
  }

  export class ShowWorkInSidebar {
    static readonly type = '[Works] Show work in sidebar';

    constructor(readonly id: WorkModel['id']) {}
  }

  export class OpenWorkCreateModalShared {
    static readonly type = '[Works] Open fast work create modal';

    constructor(readonly relations: { parentIssueId?: number; parentWorkId?: number }, readonly callback: Function) {}
  }

  export class OpenWorkCreateModal {
    static readonly type = '[Works] Open fast work create modal clear';
  }

  export class CreateComment {
    static readonly type = '[Works] Create comment';

    constructor(readonly text: string, readonly replyToId?: CommentModel['replyToId']) {}
  }

  export class OpenIssueCreate {
    static readonly type = '[Works] Open issue create';
  }

  export class ReadWork {
    static readonly type = '[Works] Read work';

    constructor(readonly id: WorkModel['id']) {}
  }

  export class DeleteWork {
    static readonly type = '[Works] Delete work';

    constructor(readonly id: WorkModel['id']) {}
  }

  export class UpdateWork {
    static readonly type = '[Works] Update work';

    constructor(readonly work: WorkModel) {}
  }

  export class CreateWork {
    static readonly type = '[Works] Create work';

    constructor(readonly work: NewWorkModel) {}
  }

  export class ChangeWorkStatus {
    static readonly type = '[Works] Change work status';

    constructor(readonly status: WorkStatusEnum) {}
  }

  export class ReadFieldsOptions {
    static readonly type = '[Works] Read fields options';
  }

  export class DestroyState {
    static readonly type = '[Works] Destroy state';
  }

  export class ReadWorkHistory {
    static readonly type = '[Works] Read work history';

    constructor(readonly id: WorkModel['id']) {}
  }

  export class ReadPermissions {
    static readonly type = '[Works] Read permissions';

    constructor(readonly workId: number) {}
  }

  export class UpdateLinksView {
    static readonly type = '[Works] Update work links view';

    constructor(readonly work: WorkModel) {}
  }
}
