import {Selector} from '@ngxs/store';
import {WORKS_STATE_TOKEN} from './works-state.token';
import {WorksStateModel} from './works-state.model';

export class WorksSelectors {
  @Selector([WORKS_STATE_TOKEN])
  static canUpdateWork({canUpdateWork}: WorksStateModel) {
    return canUpdateWork;
  }

  @Selector([WORKS_STATE_TOKEN])
  static canDeleteWork({canDeleteWork}: WorksStateModel) {
    return canDeleteWork;
  }

  @Selector([WORKS_STATE_TOKEN])
  static work({work}: WorksStateModel) {
    return work;
  }

  @Selector([WORKS_STATE_TOKEN])
  static links({links}: WorksStateModel) {
    return links;
  }

  @Selector([WORKS_STATE_TOKEN])
  static isWorkLoading({isWorkLoading, isOptionsLoading}: WorksStateModel) {
    return isWorkLoading || isOptionsLoading;
  }

  @Selector([WORKS_STATE_TOKEN])
  static isCommentsLoading({isWorkLoading, isCommentsLoading}: WorksStateModel) {
    return isWorkLoading || isCommentsLoading;
  }

  @Selector([WORKS_STATE_TOKEN])
  static canCreateComment({canCreateComment}: WorksStateModel) {
    return canCreateComment;
  }

  @Selector([WORKS_STATE_TOKEN])
  static canCreateWork({canCreateWork}: WorksStateModel) {
    return canCreateWork;
  }

  @Selector([WORKS_STATE_TOKEN])
  static canCreateIssue({canCreateIssue}: WorksStateModel) {
    return canCreateIssue;
  }

  @Selector([WORKS_STATE_TOKEN])
  static usersOptions({usersOptions}: WorksStateModel) {
    return usersOptions;
  }

  @Selector([WORKS_STATE_TOKEN])
  static departmentsOptions({departmentsOptions}: WorksStateModel) {
    return departmentsOptions;
  }

  @Selector([WORKS_STATE_TOKEN])
  static history({history}: WorksStateModel) {
    return history;
  }

  @Selector([WORKS_STATE_TOKEN])
  static comments({work}: WorksStateModel) {
    return work?.comments ?? [];
  }
}
