import {NgModule} from '@angular/core';
import {CommonModule} from '@angular/common';
import {RouterModule} from '@angular/router';
import {NgxsModule} from '@ngxs/store';

// primeNG
import {CardModule} from 'primeng/card';
import {ButtonModule} from 'primeng/button';
import {RippleModule} from 'primeng/ripple';

import {UnsafePipe} from 'utils/shared-pipes';
import {CustomDashboardsState, DashboardPluginState} from 'data-access/store';

import {customDashboardsRoutes} from './lib.routes';
import {DashboardPluginComponent} from './components/plugin/dashboard-plugin.component';

const primeNGModules = [
  CardModule,
  ButtonModule,
  RippleModule,
];

@NgModule({
  declarations: [
    DashboardPluginComponent,
  ],
  imports: [
    ...primeNGModules,
    CommonModule,
    RouterModule.forChild(customDashboardsRoutes),
    NgxsModule.forFeature([CustomDashboardsState, DashboardPluginState]),
    UnsafePipe,
  ],
})
export class CustomDashboardsModule {
}
