import {AfterViewInit, ChangeDetectionStrategy, Component} from '@angular/core';
import {CommonModule} from '@angular/common';
import {CustomIconsComponent} from 'ui/custom-icons';
import {BreadcrumbModule} from 'primeng/breadcrumb';
import {MenuItem} from 'primeng/api';
import {CardModule} from 'primeng/card';
import {TableModule} from 'primeng/table';

@Component({
  selector: 'lib-debug-icons',
  templateUrl: './debug-icons.component.html',
  styleUrls: ['./debug-icons.component.scss'],
  changeDetection: ChangeDetectionStrategy.OnPush,
  standalone: true,
  imports: [CommonModule, CustomIconsComponent, BreadcrumbModule, CardModule, TableModule],
})
export class DebugIconsComponent implements AfterViewInit {
  items: MenuItem[] = [
    {
      label: 'Icons',
      routerLink: ['/', 'devtools', 'icons'],
    },
  ];

  home: MenuItem = {
    label: 'Devtools',
    routerLink: ['/', 'devtools'],
  };

  icons: string[] = [];

  ngAfterViewInit() {
    const container = document.getElementById('svg-sprite');

    if (container) {
      const icons = container.getElementsByTagName('symbol');

      for (let i = 0; i < icons.length; i++) {
        this.icons.push(icons[i].id);
      }

    } else {
      console.error('Icons container not found');
    }
  }
}
