import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { RouterModule } from '@angular/router';

// primeng
import { ButtonModule } from 'primeng/button';
import { MenuModule } from 'primeng/menu';
import { BreadcrumbModule } from 'primeng/breadcrumb';
import { FormsModule, ReactiveFormsModule } from '@angular/forms';
import { InputTextModule } from 'primeng/inputtext';
import { InputNumberModule } from 'primeng/inputnumber';
import { InputSwitchModule } from 'primeng/inputswitch';
import { DropdownModule } from 'primeng/dropdown';
import { InputTextareaModule } from 'primeng/inputtextarea';

import { devtoolsRoutes } from './lib.routes';
import { DebugNotificationsComponent } from './components/debug-notifications/debug-notifications.component';
import { DevtoolsComponent } from './containers/devtools.component';
import { DebugSidebarsComponent } from './components/debug-sidebars/debug-sidebars.component';
import { DebugIconsComponent } from './components/debug-icons/debug-icons.component';

const primeNGModules = [
  ButtonModule,
  MenuModule,
  BreadcrumbModule,
  ReactiveFormsModule,
  InputTextModule,
  InputNumberModule,
  InputSwitchModule,
  DropdownModule,
  InputTextareaModule,
];

@NgModule({
  declarations: [DebugNotificationsComponent, DevtoolsComponent, DebugSidebarsComponent],
  imports: [...primeNGModules, CommonModule, RouterModule.forChild(devtoolsRoutes), ReactiveFormsModule, FormsModule, DebugIconsComponent],
})
export class DevtoolsModule {}
