import {ChangeDetectionStrategy, Component} from '@angular/core';
import {CommonModule} from '@angular/common';
import {TranslateModule} from '@ngx-translate/core';
import {DynamicDialogRef} from 'primeng/dynamicdialog';
import {ButtonModule} from 'primeng/button';

@Component({
  selector: 'lib-issue-delete-attention-modal',
  standalone: true,
  imports: [CommonModule, ButtonModule, TranslateModule],
  templateUrl: './issue-delete-attention-modal.component.html',
  styleUrls: ['./issue-delete-attention-modal.component.scss'],
  changeDetection: ChangeDetectionStrategy.OnPush,
})
export class IssueDeleteAttentionModalComponent {

  constructor(
    private readonly dynamicDialogRef: DynamicDialogRef,
  ) {
  }

  close(value: boolean = true) {
    this.dynamicDialogRef.close(value);
  }
}
