import {NgModule} from '@angular/core';
import {CommonModule} from '@angular/common';
import {RouterModule} from '@angular/router';
import {FormsModule, ReactiveFormsModule} from '@angular/forms';
import {TranslateModule} from '@ngx-translate/core';

import {InputTextModule} from 'primeng/inputtext';
import {TabMenuModule} from 'primeng/tabmenu';
import {InputTextareaModule} from 'primeng/inputtextarea';
import {ButtonModule} from 'primeng/button';
import {TabViewModule} from 'primeng/tabview';
import {
  EditorComponent,
  InplaceCalendarInputComponent,
  InplaceComponent,
  InplaceIssueRangComponent,
  InplaceStringInputComponent,
  IssueFireComponent,
  MultiEntityInplaceInputComponent,
  SingleEntityInplaceInputComponent,
} from 'ui/forms-ui';
import {CommentsTabComponent, HistoryTabComponent, LinksComponent, SidebarHeaderComponent, TabMenuComponent} from 'ui/common-layout-ui';

import {issuesRoutes} from './lib.routes';
import {SidebarIssueContainerComponent} from './containers/sidebar-issue-container/sidebar-issue-container.component';
import {IssueCardFormComponent} from './components/issue-card-form/issue-card-form.component';
import {ModalIssueContainerComponent} from './containers/modal-issue-container/modal-issue-container.component';

@NgModule({
  imports: [
    CommonModule,
    RouterModule.forChild(issuesRoutes),
    TranslateModule,
    ButtonModule,
    TabViewModule,
    ReactiveFormsModule,
    InplaceComponent,
    EditorComponent,
    SingleEntityInplaceInputComponent,
    MultiEntityInplaceInputComponent,
    InputTextareaModule,
    IssueFireComponent,
    InplaceStringInputComponent,
    InputTextModule,
    FormsModule,
    InplaceCalendarInputComponent,
    InplaceIssueRangComponent,
    TabMenuComponent,
    TabMenuModule,
    CommentsTabComponent,
    HistoryTabComponent,
    LinksComponent,
    SidebarHeaderComponent,
  ],
  declarations: [
    SidebarIssueContainerComponent,
    IssueCardFormComponent,
    ModalIssueContainerComponent,
  ],
})
export class IssuesModule {
}
