import {NgModule} from '@angular/core';
import {CommonModule} from '@angular/common';

import {ToastModule} from 'primeng/toast';
import {ButtonModule} from 'primeng/button';
import {OverlayPanelModule} from 'primeng/overlaypanel';
import {MessagesModule} from 'primeng/messages';

import {NotificationsOverlayComponent} from './containers/notifications-overlay/notifications-overlay.component';
import {NotificationComponent} from './components/notification/notification.component';
import {NotificationToastComponent} from './components/notification-toast/notification-toast.component';
import {TranslateModule} from '@ngx-translate/core';

@NgModule({
  declarations: [NotificationsOverlayComponent, NotificationComponent, NotificationToastComponent],
  imports: [CommonModule, ToastModule, ButtonModule, OverlayPanelModule, MessagesModule, TranslateModule],
  exports: [NotificationsOverlayComponent, NotificationToastComponent],
})
export class NotificationsModule {
}
