import {ChangeDetectionStrategy, Component, EventEmitter, Input, Output, ViewChild} from '@angular/core';
import {OverlayPanel} from 'primeng/overlaypanel';

@Component({
  selector: 'lib-delete-plugin-overlay',
  templateUrl: './delete-plugin-overlay.component.html',
  styleUrls: ['./delete-plugin-overlay.component.scss'],
  changeDetection: ChangeDetectionStrategy.OnPush,
})
export class DeletePluginOverlayComponent {
  @ViewChild('panel') overlayPanel!: OverlayPanel;

  @Input() loading = false;

  @Output() onDelete = new EventEmitter<void>();

  show(event: MouseEvent) {
    this.overlayPanel.show(event);
  }

  hide() {
    this.overlayPanel.hide();
  }

  delete() {
    this.onDelete.emit();
  }
}
