import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { SidepanelComponent } from './containers/sidepanel/sidepanel.component';
import { RouterOutlet } from '@angular/router';
import { TooltipModule } from 'primeng/tooltip';
import { RippleModule } from 'primeng/ripple';
import { DividerModule } from 'primeng/divider';
import { SidebarModule } from 'primeng/sidebar';
import { WidgetContainerDirective } from 'utils/shared-directives';
import { TranslateModule } from '@ngx-translate/core';
import { SidebarHeaderComponent } from 'ui/common-layout-ui';
import { BlockUIModule } from 'primeng/blockui';

@NgModule({
  declarations: [SidepanelComponent],
  imports: [
    CommonModule,
    RouterOutlet,
    TooltipModule,
    RippleModule,
    DividerModule,
    SidebarModule,
    WidgetContainerDirective,
    TranslateModule,
    SidebarHeaderComponent,
    BlockUIModule,
  ],
  exports: [SidepanelComponent],
})
export class RightSidebarModule {}
