import {Component, Input} from '@angular/core';
import {Department, DepartmentBase, DepartmentsService} from 'data-access/sdk/api2';
import {firstValueFrom} from 'rxjs';
import {OverlayPanel} from 'primeng/overlaypanel';

@Component({
  selector: 'lib-department-string',
  templateUrl: './department-string.component.html',
  styleUrls: ['./department-string.component.scss'],
})
export class DepartmentStringComponent {
  @Input() department!: DepartmentBase;
  @Input() style: any;
  @Input() styleClass: string | undefined;

  loading = true;
  loadedDep: Department | undefined;

  constructor(
    private readonly departmentsService: DepartmentsService,
  ) {
  }

  openOverlay(event: MouseEvent, panel: OverlayPanel) {
    event.stopPropagation();
    panel.toggle(event);
    if (!this.loadedDep && this.department.id) {
      firstValueFrom(this.departmentsService.departmentsRead({id: this.department.id})).then((dep) => {
        this.loadedDep = dep;
        this.loading = false;
      });
    }
  }
}
