import {Component, Input} from '@angular/core';
import {OrganizationService, Partner} from 'data-access/sdk/api2';
import {firstValueFrom} from 'rxjs';
import {OverlayPanel} from 'primeng/overlaypanel';

@Component({
  selector: 'app-organization-string',
  templateUrl: './organization-string.component.html',
  styleUrls: ['./organization-string.component.scss'],
})
export class OrganizationStringComponent {
  @Input() organization!: Partner;
  @Input() style: any;
  @Input() styleClass: string | undefined;

  loading = true;
  loadedOrg: Partner | undefined;

  constructor(
    private readonly organizationsService: OrganizationService,
  ) {
  }

  openOverlay(event: MouseEvent, panel: OverlayPanel) {
    event.stopPropagation();
    panel.toggle(event);
    if (!this.loadedOrg && this.organization.id) {
      firstValueFrom(this.organizationsService.organizationRead({id: this.organization.id})).then((org) => {
        this.loadedOrg = org;
        this.loading = false;
      });
    }
  }
}
