import {NgModule} from '@angular/core';
import {CommonModule} from '@angular/common';
import {TranslateModule} from '@ngx-translate/core';
import {OverlayPanelModule} from 'primeng/overlaypanel';
import {ImageModule} from 'primeng/image';
import {UsersStringComponent} from './users-string/users-string.component';
import {UserStringComponent} from './user-string/user-string.component';
import {DepartmentStringComponent} from './department-string/department-string.component';
import {OrganizationStringComponent} from './organization-string/organization-string.component';

@NgModule({
  declarations: [
    UsersStringComponent,
    UserStringComponent,
    DepartmentStringComponent,
    OrganizationStringComponent,
  ],
  imports: [
    CommonModule,
    OverlayPanelModule,
    ImageModule,
    TranslateModule,
  ],
  exports: [
    UsersStringComponent,
    UserStringComponent,
    DepartmentStringComponent,
  ],
})
export class StringInfoOverlaysModule {
}
