import { Component, Input } from '@angular/core';
import { User } from 'data-access/sdk/api2';

@Component({
  selector: 'lib-users-string',
  template: `
    <ng-container *ngFor="let user of users; let i = index; let last = last">
      <lib-user-string [user]="user" [style]="style" [styleClass]="styleClass + ' mr-1'" [nameFormat]="nameFormat"></lib-user-string>
      <br *ngIf="addBr && !last">
    </ng-container>
  `,
})
export class UsersStringComponent {
  @Input() users: User[] = [];
  @Input() style: any;
  @Input() styleClass: string | undefined;
  @Input() nameFormat: 'short' | 'full' | 'informal' = 'short';
  @Input() addBr = false;
}
