import {ChangeDetectionStrategy, Component} from '@angular/core';
import {CommonModule} from '@angular/common';
import {ButtonModule} from 'primeng/button';
import {TranslateModule} from '@ngx-translate/core';
import {DynamicDialogRef} from 'primeng/dynamicdialog';
import {FormControl, ReactiveFormsModule} from '@angular/forms';
import {InputTextareaModule} from 'primeng/inputtextarea';

@Component({
  selector: 'lib-decline-work-modal',
  standalone: true,
  imports: [CommonModule, ButtonModule, TranslateModule, ReactiveFormsModule, InputTextareaModule],
  templateUrl: './decline-work-modal.component.html',
  styleUrls: ['./decline-work-modal.component.scss'],
  changeDetection: ChangeDetectionStrategy.OnPush,
})
export class DeclineWorkModalComponent {
  commentFC: FormControl<string> = new FormControl<string>('', {nonNullable: true});

  constructor(
    private readonly dynamicDialogRef: DynamicDialogRef,
  ) {
  }

  confirm() {
    if (this.commentFC.invalid) {
      console.warn('Comment is invalid');
      return;
    }

    this.dynamicDialogRef.close(this.commentFC.value);
  }

  close() {
    this.dynamicDialogRef.close();
  }
}
