import {Injectable} from '@angular/core';
import {DialogService} from 'primeng/dynamicdialog';

import {WorkCheckModalComponent} from '../components/work-check-modal/work-check-modal.component';
import {WorkDeleteAttentionModalComponent} from '../components/work-delete-attention-modal/work-delete-attention-modal.component';
import {DeclineWorkModalComponent} from '../components/decline-work-modal/decline-work-modal.component';


@Injectable({
  providedIn: 'root',
})
export class WorkModalsService {
  constructor(
    private readonly dialogService: DialogService,
  ) {
  }

  createChangesSaveModal() {
    return this.dialogService.open(WorkCheckModalComponent, {
      showHeader: false,
      width: '500px',
    });
  }

  createDeleteAttentionModal() {
    return this.dialogService.open(WorkDeleteAttentionModalComponent, {
      showHeader: false,
      width: '500px',
    });
  }

  declineWorkModal() {
    return this.dialogService.open(DeclineWorkModalComponent, {
      showHeader: false,
      width: '500px',
    });
  }
}
