import {ChangeDetectionStrategy, Component, Input} from '@angular/core';
import {CommonModule} from '@angular/common';

import {CommentModel} from 'data-access/sdk/internal-api';
import {CustomDatePipe} from 'utils/shared-pipes';

@Component({
  selector: 'lib-comment',
  templateUrl: './comment.component.html',
  styleUrls: ['./comment.component.scss'],
  changeDetection: ChangeDetectionStrategy.OnPush,
  providers: [CustomDatePipe],
  standalone: true,
  imports: [CommonModule]
})
export class CommentComponent {
  @Input({required: true}) comment!: CommentModel;

  constructor(
    private readonly customDatePipe: CustomDatePipe,
  ) {
  }

  get author() {
    let result = '';
    result += this.comment.author?.shortName;
    result += this.comment.author?.position ? ` (${this.comment.author?.position})` : '';
    result += ' ' + this.customDatePipe.transform(this.comment.created);
    return result;
  }
}
