import {Component, EventEmitter, Input, Output} from '@angular/core';
import {MenuItem} from 'primeng/api';
import {TabMenuModule} from 'primeng/tabmenu';
import {CommonModule} from '@angular/common';
import {TranslateModule} from '@ngx-translate/core';

@Component({
  selector: 'lib-tab-menu',
  templateUrl: './tab-menu.component.html',
  styleUrls: ['./tab-menu.component.scss'],
  standalone: true,
  imports: [
    CommonModule,
    TabMenuModule,
    TranslateModule,
  ],
})
export class TabMenuComponent {
  @Input({required: true}) menuItems!: MenuItem[];
  @Input({required: true}) activeTabIndex!: number;

  @Output() onTabChange: EventEmitter<number> = new EventEmitter<number>();

  changeTab(item: MenuItem) {
    const index = this.menuItems.findIndex(menuItem => menuItem.id === item.id);
    this.onTabChange.emit(index);
  }
}
