import { ChangeDetectionStrategy, Component, ElementRef, Input } from '@angular/core';
import { CommonModule } from '@angular/common';

@Component({
  selector: 'c-icon',
  standalone: true,
  imports: [CommonModule],
  templateUrl: './c-icon.component.html',
  styleUrls: ['./c-icon.component.scss'],
  changeDetection: ChangeDetectionStrategy.OnPush,
})
export class CIconComponent {
  @Input({ required: true }) name!: string;
  @Input() size = 15;

  constructor(private readonly elementRef: ElementRef) {}

  @Input() set color(color: string) {
    const el = this.elementRef.nativeElement;

    if (el && color) {
      el.style.color = color;
    }
  }
}
