import {DepartmentBaseModel} from 'data-access/sdk/internal-api';

import {EntityEnum} from '../interfaces/user-inplace-input.interface';
import {BaseSelectItemsClass} from './base-select-items.class';

export class DepartmentItemsClass extends BaseSelectItemsClass<DepartmentBaseModel> {
  static labelKey = 'LIBS.UI.FORMS_UI.ENTITIES.DEPARTMENTS';

  constructor(
    models: DepartmentBaseModel[],
    label: string = DepartmentItemsClass.labelKey,
  ) {
    super(
      EntityEnum.Department,
      label,
      models,
    );
  }

  getName(model: DepartmentBaseModel) {
    return model.name;
  }

  getAvatarLink(model: DepartmentBaseModel) {
    return undefined;
  }
}
