import {IssueDomainModel} from 'data-access/sdk/internal-api';

import {BaseSelectItemsClass} from './base-select-items.class';
import {EntityEnum} from '../interfaces/user-inplace-input.interface';

export class IssueDomainItemsClass extends BaseSelectItemsClass<IssueDomainModel> {
  static labelKey = 'LIBS.UI.FORMS_UI.ENTITIES.ISSUE_DOMAINS';
  constructor(
    models: IssueDomainModel[],
    label: string = IssueDomainItemsClass.labelKey,
  ) {
    super(
      EntityEnum.IssueDomain,
      label,
      models,
    );
  }

  getName(model: IssueDomainModel) {
    return model.name;
  }

  getAvatarLink(model: IssueDomainModel) {
    return undefined;
  }
}
