import {ProjectModel} from 'data-access/sdk/internal-api';

import {EntityEnum} from '../interfaces/user-inplace-input.interface';
import {BaseSelectItemsClass} from './base-select-items.class';

export class ProjectItemsClass extends BaseSelectItemsClass<ProjectModel> {
  static labelKey = 'LIBS.UI.FORMS_UI.ENTITIES.PROJECTS';
  constructor(
    models: ProjectModel[],
    label: string = ProjectItemsClass.labelKey,
  ) {
    super(
      EntityEnum.Project,
      label,
      models,
    );
  }

  getName(model: ProjectModel) {
    return model.name;
  }

  getAvatarLink(model: ProjectModel) {
    return undefined;
  }
}
