import { DepartmentBaseModel, UserBaseModel, WorkModel } from 'data-access/sdk/internal-api';

import { KanbanColumnEnum } from './kanban-column.enum';
import { KanbanCardType } from './kanban-card-type.enum';
import { KanbanCardStatusEnum } from './kanban-card-status.enum';

export interface KanbanCardInterface {
  assignee: UserBaseModel | DepartmentBaseModel | undefined;
  avatarLink?: string;
  column: KanbanColumnEnum;
  deadline?: string; // date iso-string\
  deadlineColor?: string;
  deadlineHint?: string;
  end?: string; // date iso-string
  endColor?: string;
  endHint?: string;
  hideMode?: boolean;
  id: number;
  name: string;
  rawModel: WorkModel;
  start?: string; // date iso-string
  startColor?: string;
  startHint?: string;
  status: KanbanCardStatusEnum;
  type: KanbanCardType;
}
