import { Injectable } from '@angular/core';
import { KanbanCardStatusEnum } from '../interfaces/kanban-card-status.enum';

@Injectable({
  providedIn: 'root',
})
export class KanbanStatusColorsService {
  readonly colors = {
    [KanbanCardStatusEnum.BACKLOG]: getComputedStyle(document.body).getPropertyValue('--task-backlog'),
    [KanbanCardStatusEnum.TODO]: getComputedStyle(document.body).getPropertyValue('--task-todo'),
    [KanbanCardStatusEnum.IN_PROGRESS]: getComputedStyle(document.body).getPropertyValue('--task-in-progress'),
    [KanbanCardStatusEnum.IN_REVIEW]: getComputedStyle(document.body).getPropertyValue('--task-in-review'),
    [KanbanCardStatusEnum.DONE]: getComputedStyle(document.body).getPropertyValue('--task-done'),
    [KanbanCardStatusEnum.CANCELLED]: getComputedStyle(document.body).getPropertyValue('--task-cancelled'),
    [KanbanCardStatusEnum.PAUSED]: getComputedStyle(document.body).getPropertyValue('--task-paused'),
    secondaryText: getComputedStyle(document.body).getPropertyValue('--text-color-secondary'),
  };
}
