# Техническая задача

## Рисование графика

### Элементы:
* Point
* Line

### Point:
* Тип маркера
* Текст под маркером
* Данные для overlay
	* Заголовок
	* Ответственный
	* Статус
	* Окончание
	* Сдвиг окончания
* Дата события
* Z-index
* Стилизация элементов:
	* Основной цвет
		* Цвет маркера
		* Цвет текста
	* Цвет фона текста

### Типы Point:
* Milestone (rhomb)
	* Finished
	* Unfinished
* Intermediate milestone (rhomp with flag)
	* Finished
	* Unfinished
* Timestamp (now)

### Line:
* От (Point) (опционально)
* До (Point) (опционально)
* Текст под линией
* Z-index
* subLines (линии над линией - массив Line)
	* z-index выше линии
* Стилизация:
	* Основной цвет
		* Цвет линии
		* Цвет текста
	* Градиент под линией

### Основные цвета согласно дизайну:
1. Активный (#1E88E5 - синий)
2. Выполненный (#71AF74 - зеленый)
3. Просроченный (#F58787 - красный)
4. Приближающийся (акцентный?) (#FCC066 - оранжевый)

### Дополнительные цветовые решения:
1. Цвет градиента Line равен ==40% или 50%== от основного цвета
2. Цвет фона текста Point равен ==10% или 15%== от основного цвета

### Правила расположения Point

Point имеет z-index всегда выше Line.

Каждый Point имеет дату события. Согласно этим данным Point имеет позицию по горизонтальный шкале (x).

Алгоритм определения расположения:
1. Определить размер блока-контейнера (=100%)
2. Определить максимальное значение
3. Определить минимальное значение
4. Определить значение риски в пикселях (множитель в пкс):
	- (размер блока-контейнера в пкс) / (max - min)
5. Для конкретной Point выявить значение по x:
	- pointDateTimestamp / (минимальное значение риски) = приведение к шкале рисок
	- вычитаем минимальное значение по шкале = выявили положение в действующей шкале
	- полученное значение перемножаем на множитель в пкс

### Правила расположения Line

Line всегда имеет z-index ниже point.

Правила и пометки:
1. Point1 от - начальная точка
2. Point2 до - конечная точка
3. Текст располагается центрально между точек, ниже на 4 пкс (проверить по визуалу и макету)
4. Градиент:
	1. Располагается на всю длину от Point1 до Point2
	2. Но если есть дочерняя Line, то убирать градиент
5. Если есть дочерняя SubLine, то создавать SubLine-затычку от SublinePoint2 до Point2 для корректной покраски градиента (цвет вариабелен)

# Необходимые данные для рисования

## Общие:
1. Размер риски в миллисекундах
2. Данные стилизации (либо enum для маппинга на фронте, либо значения)
	- Ввиду того, что значения прозрачности фонов и градиентов отличаются, желательно привести к единому значению на макетах. Если это невозможно, то будет ручной дополнительный маппинг на фронте.

## Point
* Тип маркера - для маппинга svg на фронте
* Текст под маркером
* Данные для overlay (на текущем макете):
	* Заголовок
	* Ответственный
	* Статус
	* Окончание
	* Сдвиг окончания
* Дата события (iso-string или данные в единицах аналогичным рискам)
* ==Z-index (если нужен будет конструктов вне фронта, иначе не нужен)==
* Стилизация элементов (см. пункт Общие - 2):
	* Основной цвет
		* Цвет маркера
		* Цвет текста
	* Цвет фона текста

## Line:
* От (Point) (опционально) - главное дата, остальное не важно
* До (Point) (опционально) - главное дата, остальное не важно
* Текст под линией
* ==Z-index (если нужен будет конструктов вне фронта, иначе не нужен)==
* subLines (линии над линией, массив Line)
	* первая точка первой Line соответствует Point "от" родительской
	* последняя точка последней Line соответствует Point "до" родительской 
* Стилизация (см. пункт Общие - 2):
	* Основной цвет
		* Цвет линии
		* Цвет текста
	* Градиент под линией

# Требования
1. График должен быть встраиваемым в любой блок
2. Элементы должны быть расширяемыми
	1. Иметь расширяемый тип иконки
	2. Иметь расширяемые цветовые решения

# Вопросы

1. Будут ли другие поля для overlay у Point?
	- Если да, то можно заложить конструктор полей
2. Будут ли другие заголовки для overlay у Point?
3. Как активировать overlay на точке? Клик или наведение?
4. Какая точность должна быть у шкалы? Секунда или день?
5. Будет ли конструктор в будущем?
# DoD
Тут пока пусто.