import {
  createNamedRoutingLink,
  FEATURE_ISSUE_AUTHOR_ID_QUERY_PARAM,
  FEATURE_ISSUE_CREATE_ROUTE,
  FEATURE_ISSUE_PARENT_WORK_ID_QUERY_PARAM,
  FEATURE_ISSUE_PROJECT_ID_QUERY_PARAM,
  FEATURE_ISSUE_ROUTE,
  OutletsEnum,
} from 'utils/core-project-routing-utils';


export function getIssueCreateRouterLinkQueryParams(projectId?: number, authorId?: number, parentWorkId?: number) {
  const queryParams: {[key: string]: string} = {};

  if (projectId) {
    queryParams[FEATURE_ISSUE_PROJECT_ID_QUERY_PARAM] = String(projectId);
  }

  if (authorId) {
    queryParams[FEATURE_ISSUE_AUTHOR_ID_QUERY_PARAM] = String(authorId);
  }

  if (parentWorkId) {
    queryParams[FEATURE_ISSUE_PARENT_WORK_ID_QUERY_PARAM] = String(parentWorkId);
  }

  return queryParams;
}

export function getIssueCreateRouterLink() {
  return createNamedRoutingLink(OutletsEnum.RIGHT_SIDEBAR, [FEATURE_ISSUE_ROUTE, FEATURE_ISSUE_CREATE_ROUTE]);
}

export function getIssueRouterLink(issueId: string) {
  return createNamedRoutingLink(OutletsEnum.RIGHT_SIDEBAR, [FEATURE_ISSUE_ROUTE, issueId]);
}
