import {
  createNamedRoutingLink,
  FEATURE_WORK_CREATE_ROUTE,
  FEATURE_WORK_END_BASE_QUERY_PARAM,
  FEATURE_WORK_PARENT_ISSUE_ID_QUERY_PARAM,
  FEATURE_WORK_PARENT_WORK_ID_QUERY_PARAM,
  FEATURE_WORK_PROJECT_ID_QUERY_PARAM,
  FEATURE_WORK_ROUTE,
  FEATURE_WORK_START_BASE_QUERY_PARAM,
  FEATURE_WORK_STATUS_QUERY_PARAM,
  FEATURE_WORK_TO_DEPARTMENT_ID_QUERY_PARAM,
  FEATURE_WORK_TO_USER_ID_QUERY_PARAM,
  FEATURE_WORK_VAL_USER_ID_QUERY_PARAM,
  OutletsEnum,
} from 'utils/core-project-routing-utils';


export function getWorkCreateRouterLinkQueryParams(
  {
    endBase,
    parentIssueId,
    parentWorkId,
    projectId,
    startBase,
    status,
    toDepartmentId,
    toUserId,
    valUserId,
  }: {
    endBase?: string;
    parentIssueId?: string;
    parentWorkId?: string;
    projectId?: string;
    startBase?: string;
    status?: string;
    toDepartmentId?: string;
    toUserId?: string;
    valUserId?: string;
  },
) {
  const queryParams: { [key: string]: string } = {};

  if (endBase) {
    queryParams[FEATURE_WORK_END_BASE_QUERY_PARAM] = endBase;
  }

  if (parentIssueId) {
    queryParams[FEATURE_WORK_PARENT_ISSUE_ID_QUERY_PARAM] = String(parentIssueId);
  }

  if (parentWorkId) {
    queryParams[FEATURE_WORK_PARENT_WORK_ID_QUERY_PARAM] = String(parentWorkId);
  }

  if (projectId) {
    queryParams[FEATURE_WORK_PROJECT_ID_QUERY_PARAM] = String(projectId);
  }

  if (startBase) {
    queryParams[FEATURE_WORK_START_BASE_QUERY_PARAM] = startBase;
  }

  if (status) {
    queryParams[FEATURE_WORK_STATUS_QUERY_PARAM] = status;
  }

  if (toDepartmentId) {
    queryParams[FEATURE_WORK_TO_DEPARTMENT_ID_QUERY_PARAM] = String(toDepartmentId);
  }

  if (toUserId) {
    queryParams[FEATURE_WORK_TO_USER_ID_QUERY_PARAM] = String(toUserId);
  }

  if (valUserId) {
    queryParams[FEATURE_WORK_VAL_USER_ID_QUERY_PARAM] = String(valUserId);
  }

  return queryParams;
}

export function getWorkCreateRouterLink() {
  return createNamedRoutingLink(OutletsEnum.RIGHT_SIDEBAR, [FEATURE_WORK_ROUTE, FEATURE_WORK_CREATE_ROUTE]);
}

export function getWorkRouterLink(issueId: string) {
  return createNamedRoutingLink(OutletsEnum.RIGHT_SIDEBAR, [FEATURE_WORK_ROUTE, issueId]);
}
