import {TranslateService} from '@ngx-translate/core';
import {forkJoin} from 'rxjs';
import {APP_INITIALIZER} from '@angular/core';

export const translateAppInitializerProvider = {
  provide: APP_INITIALIZER,
  useFactory: translateAppInitializer,
  deps: [TranslateService],
  multi: true,
};

export function translateAppInitializer(
  translateService: TranslateService,
) {
  return () => {
    translateService.setDefaultLang('ru');
    translateService.addLangs(['ru', 'en']);
    const lang = localStorage.getItem('lang') || translateService.defaultLang;
    const tr$ = translateService.use(lang);

    return forkJoin([
      tr$,
    ]);
  };
}
