import {Pipe, PipeTransform} from '@angular/core';
import * as moment from 'moment';

@Pipe({
  name: 'customDate',
  pure: false,
  standalone: true,
})
export class CustomDatePipe implements PipeTransform {

  transform(value: string | Date, _format?: string): string {
    const date = moment(value);
    if (_format) {
      return moment(value).format(_format);
    }

    let format = _format;

    if (date.year() === moment().year()) {
      format = 'D MMMM';
    } else {
      format = 'D MMMM YYYY';
    }

    return moment(value).format(format);
  }
}
