import {Pipe, PipeTransform} from '@angular/core';
import {TranslateService} from '@ngx-translate/core';

@Pipe({
  name: 'diff',
  standalone: true,
})
export class DiffPipe implements PipeTransform {
  constructor(
    private translateService: TranslateService,
  ) {
  }

  transform(daysNumber: number | null, addPlus: boolean = true): string {
    if (!daysNumber) {
      return '--';
    }

    // old code support
    const plus: string = addPlus ? '+' : '';

    return (daysNumber < 0 ? '' : plus) + daysNumber + ' ' + this.translateService.instant('DIFFS.DAYS');
  }
}
